const svipDetails = [
  {
    iconText: '百元开卡礼',
    imgUrl: 'https://img.wgmf.com/wgmall/svip/btn_svip_100_02.png',
    selectedUrl: 'https://img.wgmf.com/wgmall/svip/btn_svip_100_01.png',
    cardImgUrl: 'https://img.wgmf.com/wgmall/svip/img_svip_details_100.png',
    title: '百元开卡礼',
    subtitle: '开卡即赠',
    thirdtitle: '￥100无门槛礼券',
    content: '开通微信商城超级会员，可领取2张50元无门槛礼券，开通即回本。',
    desc: [
      '1、礼券分2次发放，礼券自领取后30天有效，请在有效期内使用；',
      '2、首次开通超级会员用户，第1张礼券开通即刻发放，第2张券次月1号自动发放至优惠券账户；',
      '3、续费超级会员用户，第1张礼券将于新的超级会员生效期当月自动发放，第2张券次月1号自动发放；（如：于2020年12月10日首次开通超级会员，2021年11月10日续费，则新超级会员权益生效期始自2021年12月10日。首张礼券将在2021年12月自动发放，第二张在2022年1月自动发放）',
      '4、优惠券仅限五谷磨房自营产品使用，且每笔订单仅限使用一张，初心蜜不可使用；',
      '5、礼券不与商城特殊活动（秒杀、团购、拼团等）叠加使用。'
    ],
  },
  {
    iconText: '每月券包',
    imgUrl: 'https://img.wgmf.com/wgmall/svip/btn_svip_50voucher_02.png',
    selectedUrl: 'https://img.wgmf.com/wgmall/svip/btn_svip_50voucher_01.png',
    cardImgUrl: 'https://img.wgmf.com/wgmall/svip/img_svip_details_50voucher1.png',
    title: '每月券包',
    subtitle: '每月50元券包',
    thirdtitle: '随用随心领',
    content: '每月可领3张优惠券：5元（无门槛使用）、15元（满￥199使用）、30元（满￥269使用）。',
    desc: [
      '1、券包自开通超级会员后第三个月开始发放，券包中的优惠券需领取使用，领取后7天内有效；',
      '2、优惠券仅限五谷磨房自营产品使用，初心蜜不可用；',
      '3、券包每月1日自动更新，当月未领取的优惠券次月过期失效；',
      '4、优惠券不可叠加商城特殊活动【秒杀、预售（尾款）、拼团、团购】使用。'
    ],
    link: '/modules/Svip/pages/MonthlyCoupons/MonthlyCoupons',
    linkTitle: '查看我的每月券包',
  },
  {
    iconText: '95折',
    imgUrl: 'https://img.wgmf.com/wgmall/svip/btn_svip_discount_95_02.png',
    selectedUrl: 'https://img.wgmf.com/wgmall/svip/btn_svip_discount_95_01.png',
    cardImgUrl: 'https://img.wgmf.com/wgmall/svip/img_svip_details_95_discount.png',
    title: '折上95折',
    subtitle: '省钱又省心',
    thirdtitle: '每一笔为你精打细算',
    content: '在微信会员商城日常销售价的基础上再享9.5折，商城内所有商品均可享受。',
    desc: [
      '1、超级会员价仅限超级会员在微信商城结算时默认使用；'
    ],
    example: true,
    html: '<div class="desc-item">2、超级会员价可与其他促销优惠叠加使用。<span class="example">（例如：日常销售价100元的产品，超级会员仅需95元，且还可叠加满减、满赠等优惠活动一起使用。）</span></div>',
  },
  {
    iconText: '5%返利',
    imgUrl: 'https://img.wgmf.com/wgmall/svip/btn_svip_rebate_5_02.png',
    selectedUrl: 'https://img.wgmf.com/wgmall/svip/btn_svip_rebate_5_01.png',
    cardImgUrl: 'https://img.wgmf.com/img_svip_031@2x.png',
    title: '购物金单单返',
    subtitle: '每笔消费返利5%',
    thirdtitle: '单单省钱  单单赚',
    content: '购物金指用于微信商城消费的虚拟货币。超级会员在微信商城内消费，将获得当笔订单实付金额5%的购物金。',
    desc: [
      '1、购物金仅适用于五谷磨房微信会员商城使用，不可提现；',
      '2、实付金额是指订单中扣除所有优惠后，实际支付的金额；'
    ],
    example: true,
    html: '<div class="desc-item">3、购物金的有效期为1年。<span class="example">（例如：2019年3月12日获得的购物金，如果一直未使用，2020年3月12日将会过期。）</span></div>',
  },
  {
    iconText: '超级会员日',
    imgUrl: 'https://img.wgmf.com/wgmall/svip/btn_svip_day_02.png',
    selectedUrl: 'https://img.wgmf.com/wgmall/svip/btn_svip_day_01.png',
    cardImgUrl: 'https://img.wgmf.com/img_svip_05@2x (1).png',
    title: '超级会员日',
    subtitle: '每月5日 积分翻倍',
    thirdtitle: '比普通会员多一天双倍积分日',
    content: '每月5日为微信商城超级会员日，当天在微信会员商城内消费可享受全场双倍积分专属特权。',
    desc: [
      '1、仅限超级会员在五谷磨房微信会员商城内购物享受；',
      '2、双倍积分可与会员等级加速同享；',
      '3、特殊活动不参与双倍积分叠加（秒杀、拼团等）。'
    ],
  },
  {
    iconText: '生日福利',
    imgUrl: 'https://img.wgmf.com/wgmall/svip/btn_svip_birthday_02.png',
    selectedUrl: 'https://img.wgmf.com/wgmall/svip/btn_svip_birthday_01.png',
    cardImgUrl: 'https://img.wgmf.com/img_svip_002.png',
    title: '生日福利',
    subtitle: '100元生日福利券',
    thirdtitle: '当天送上美好祝福',
    content: '生日福利券将以优惠券形式，于生日7天前发放至账户内。单笔订单满399元，立减100元，有效期为30天。',
    desc: [
      '1、生日福利券即单笔订单满399元减100元的优惠券，仅限于微信商城内自营产品可用，初心蜜、鲜炖燕窝、阿胶糕不可用；',
      '2、生日福利券在生日7天前发放至账户内，有效期30天；',
      '3、每位用户仅有1次生日填写机会（不可填写当日）。生日确认后无法修改，请谨慎填写；',
      '4、礼券不与商城特殊活动（秒杀、限时折扣、团购、拼团等）叠加使用。（说明：大促期间，活动商品不可使用礼券）。'
    ],
  },
  {
    iconText: '特价专区',
    imgUrl: 'https://img.wgmf.com/wgmall/svip/btn_svip_special_sale_02.png',
    selectedUrl: 'https://img.wgmf.com/wgmall/svip/btn_svip_special_sale_01.png',
    cardImgUrl: 'https://img.wgmf.com/wgmall/svip/img_svip_details_special_sale.png',
    title: '特价专区',
    subtitle: '精品优惠专区',
    thirdtitle: '超级会员专享好价',
    content: '每月更新微信商城超级会员专属产品专区，享受特别折扣价。',
    desc: [
      '1、此专属活动仅限微信商城超级会员参与且享受特价商品折扣；',
      '2、活动期间，将会在商城首页专设活动入口，请密切关注商城首页和微信公众号动态。'
    ],
    example: true,
    // html: '<div class="desc-item">2、<span class="example"></span></div>',
    link: '/pages/superMember/superMember?specialoffer=true',
    linkTitle: '查看最新特价活动',
  },
  {
    iconText: '新品试用',
    imgUrl: 'https://img.wgmf.com/wgmall/svip/btn_svip_new_trial_02.png',
    selectedUrl: 'https://img.wgmf.com/wgmall/svip/btn_svip_new_trial_01.png',
    cardImgUrl: 'https://img.wgmf.com/wgmall/svip/img_svip_details_new_trial.png',
    title: '新品试用',
    subtitle: '新品上市',
    thirdtitle: '优先免费体验',
    content: '新品上市，超级会员可尝鲜免费体验，先尝为快！',
    desc: [
      '1、新品优先体验活动不定期发布，请持续关注社群、社区信息；',
      '2、新品试用活动自愿报名参加，试用装不支持退、换货；',
      '3、新品试用需先付款，完成试用报告等要求后，申请退款。'
    ],
    link: '/modules/ProductTrial/pages/TrialCenter/TrialCenter',
    linkTitle: '了解最新试用活动',
  },

  {
    iconText: '翻牌赠礼',
    imgUrl: 'https://img.wgmf.com/wgmall/svip/btn_svip_fanpai_02.png',
    selectedUrl: 'https://img.wgmf.com/wgmall/svip/btn_svip_fanpai_01.png',
    cardImgUrl: 'https://img.wgmf.com/wgmall/svip/img_svip_details_fanpai.png',
    title: '翻牌赠礼',
    subtitle: '消费翻翻乐',
    thirdtitle: '大奖抱回家',
    content: '累计实付消费金额达到500、1K、2K、3K、5K、10K，分别可参与1次翻牌活动。',
    desc: [
      '1、每次翻牌100%中奖，满足翻牌条件即可带走奖池内所有奖品；',
      '2、抽中部分奖品将以券的形式发放，所有奖品均有有效期，过期失效，请在有效期内领取、使用；',
      '3、抽奖机会在开通超级会员后，身份有效期内的12个月有效，身份失效则抽奖机会失效；',
      '4、翻牌后，请在使用期限内使用/兑换对应的奖品，过期后自动失效。'
    ],
    link: '/modules/Svip/pages/FilpGame/FilpGame',
    linkTitle: '查看我的翻牌进程',
  },
  {
    iconText: '每周闪购',
    imgUrl: 'https://img.wgmf.com/wgmall/svip/btn_svip_flash_sale_02.png',
    selectedUrl: 'https://img.wgmf.com/wgmall/svip/btn_svip_flash_sale_01.png',
    cardImgUrl: 'https://img.wgmf.com/wgmall/svip/img_svip_details_flash_sale.png',
    title: '每周闪购',
    subtitle: '社群专享',
    thirdtitle: '好物周周特价秒',
    content: '每周社群开展好物秒购，件件好物、周周特价！',
    desc: [
      '1、此专属活动仅限微信商城超级会员参与；',
      '2、参加活动必须先加入超级会员企业微信群；',
      '3、活动产品每周更新，活动产品包括自营、合作品牌产品等。'
    ],
  },
  {
    iconText: '回本保障',
    imgUrl: 'https://img.wgmf.com/wgmall/svip/btn_svip_recovery_cost_02.png',
    selectedUrl: 'https://img.wgmf.com/wgmall/svip/btn_svip_recovery_cost_01.png',
    cardImgUrl: 'https://img.wgmf.com/wgmall/svip/img_svip_details_recovery_cost.png',
    title: '回本保障',
    subtitle: '支付卡费',
    thirdtitle: '到期不回本退差价',
    content: '开通超级会员支付的卡费，若在超级会员身份有效期内未省回可退差价。',
    desc: [
      '1、超级会员身份到期未回本，可联系客服申请并退回差价；',
      '2、差价金额将以购物金形式，退回对应账户；',
      '3、退回的购物金有效期1年，逾期失效，请在有效期内使用完毕。'
    ],
  },
  {
    iconText: '30天售后',
    imgUrl: 'https://img.wgmf.com/wgmall/svip/btn_svip_after_sales_02.png',
    selectedUrl: 'https://img.wgmf.com/wgmall/svip/btn_svip_after_sales_01.png',
    cardImgUrl: 'https://img.wgmf.com/img_svip_077@2x.png',
    title: '30天售后',
    subtitle: '30天无忧退 ',
    thirdtitle: '不喜欢、不满意、不想要 也能退换',
    content: '购物时在线客服将帮您快速解决遇到的问题，购物后还会享受比普通会员多23天的信任退换货服务。',
    desc: [
      '1、超级会员将默认享受此售后服务；',
      '2、售后服务将持续不断升级完善；',
      '3、在线客服响应时间：8:30-23:00。'
    ],
  },
  {
    iconText: '健康好课',
    imgUrl: 'https://img.wgmf.com/wgmall/svip/btn_svip_health_course_02.png',
    selectedUrl: 'https://img.wgmf.com/wgmall/svip/btn_svip_health_course_01.png',
    cardImgUrl: 'https://img.wgmf.com/img_svip_003.png',
    title: '健康好课',
    subtitle: '养身局课程全年免费看',
    thirdtitle: '打卡赢积分，培养健康好习惯',
    content: '养身局不定期开设系列课程，每天仅需3min，轻松学习打卡，赢积分奖励，养成健康好习惯！',
    desc: [
      '1、超级会员免费查看养身局内所有系列课程；',
      '2、超级会员权益过期后，课程将无法继续查看；',
      '3、课程打卡和领取积分规则以养身局活动规则为准。'
    ],
  },
  {
    iconText: '专属营养师',
    imgUrl: 'https://img.wgmf.com/wgmall/svip/btn_svip_proper_dietitian_02.png',
    selectedUrl: 'https://img.wgmf.com/wgmall/svip/btn_svip_proper_dietitian_01.png',
    cardImgUrl: 'https://img.wgmf.com/img_svip_004.png',
    title: '专属营养师',
    subtitle: '五谷磨房健康管理师',
    thirdtitle: '贴心个性化服务',
    content: '白博士为五谷磨房健康管理师，多年关注于科学食品健康领域。她将为您提供饮食健康指导、日常养生建议等。',
    desc: [
      '白博士目前仅服务于超级会员用户。',
    ],
  },
  {
    iconText: '积分延期',
    imgUrl: 'https://img.wgmf.com/btn_svip_integration_delay_02.png',
    selectedUrl: 'https://img.wgmf.com/btn_svip_integration_delay_01.png',
    cardImgUrl: 'https://img.wgmf.com/img_svip_details_integration_delay.png',
    title: '积分延期',
    subtitle: '延长积分有效期',
    thirdtitle: '积分随心用',
    content: '已过期积分或者临期积分，超级会员可以使用该积分延期卡，将其有效期延长90天。',
    desc: [
      '1、自开通超级会员后，当月即送2张积分延期卡，每张卡可延长单笔积分有效期90天;',
      '2、如延期的积分在有效期内，使用延期卡后该笔积分的过期时间将往后延迟90天（例如：在1月10日过期的积分，在1月5日使用延期卡，则该笔积分会延期到4月10日过期）;',
      '3、积分延期卡每月1日自动更新，当月未使用的卡片次月失效。'
    ],
    example: true,
    html: '<div class="desc-item">4、如延期的积分已过期，使用延期卡后该笔积分当天生效，且有效期为90天。<span class="example">（例如：在1月10日过期的积分，在1月20日使用延期卡，则该笔积分会延期到4月20日过期）</span></div>',
    link: '/modules/Svip/pages/ExtensionCar/ExtensionCar',
    linkTitle: '查看我的积分延期卡'
  },
  {
    iconText: '会员日',
    imgUrl: 'https://img.wgmf.com/wgmall/svip/btn_svip_vip_day_02.png',
    selectedUrl: 'https://img.wgmf.com/wgmall/svip/btn_svip_vip_day_01.png',
    cardImgUrl: 'https://img.wgmf.com/wgmall/svip/img_svip_details_vip_day.png',
    title: '会员日',
    subtitle: '每月最后一周周五',
    thirdtitle: '会员日双倍积分',
    content: '每月会员日，专柜/会员商城消费，丰富福利+双倍积分等你拿！',
    desc: [
      '1、超级会员日、会员日双倍积分与会员等级积分加速可叠加享受；',
      '2、消费累计积分时，金额、积分取整数计算。',
    ],
  },
]

export default svipDetails