import { FILTER } from '../../utils/index.js'
import api from '../../api/index'

const data = {
  day: 0,
  hour: 0,
  minute: 0,
  second: 0
}
const methods = {
  intervalTicker(endTime) {
    api.getTime().then(res => {
      let yu = endTime - res,
        d = 0,
        h = 0,
        m = 0,
        s = 0,
        self = this;
      console.log('开启倒计时')
      const ticker = setInterval(function () {
        yu = yu - 1000
        if (yu <= 0) {
          clearInterval(ticker)
          self.refreshPage()
        } else {
          d = parseInt(yu / 86400000)
          h = parseInt((yu - d * 86400000) / 3600000)
          m = parseInt((yu - d * 86400000 - h * 3600000) / 60000)
          s = parseInt((yu - d * 86400000 - h * 3600000 - m * 60000) / 1000)
          self.setData({
            day: d,
            hour: h,
            minute: m,
            second: s
          })
        }
      }, 1000)
    })
  },
  refreshPage() {
    wx.redirectTo({
      url: 'ProductDetail?pId=' + this.data.pId
    })
  }
}
Component({
  data,
  properties: {
    endTime: {
      type: Number
    },
    pId: {
      type: Number
    }
  },
  methods,
  ready() {
    console.log('活动结束时间是', this.data.endTime)
    if(this.data.endTime) {
      api.getTime().then(now => {
        console.log('now < this.data.endTime', now < this.data.endTime)
        if(now < this.data.endTime) {
          console.log('开启倒计时1')
          this.intervalTicker(this.data.endTime)
        }
      })
    }
  }
})