Component({
  properties: {
    moduleData: Object
  },
  methods: {
    linkToPage(e) {
      let obj = e.currentTarget.dataset.item
      if (obj.appId) {
        wx.navigateToMiniProgram({
          appId: obj.appId,
          path: obj.link,
          extraData: {
            foo: 'bar'
          },
          envVersion: 'release',
          success(res) {
            // 打开成功
          }
        })
      } else {
        wx.navigateTo({
          url: obj.link
        })
      }
    }
  },
  created() {
    console.log(this.moduleData)
  }
})