Component({
  properties: {
    activeTab:{
      type: Number
    }
  },
  data: {
    homeDef: '../../assets/images/tab_btn_home_1.png',
    homeActive: '../../assets/images/tab_btn_home_2.png',
    listDef: 'https://img.wgmf.com/ma-shop/btn_tab_list_draw_1.png',
    listActive: 'https://img.wgmf.com/ma-shop/btn_tab_list_draw_2.png',
    personalDef: '../../assets/images/tab_btn_mine_2.png.png',
    personalActive: '../../assets/images/tab_btn_mine_2.png.png'
  },
  methods: {
    navigateTo () {
      wx.navigateTo({
        url: '',
      })
    },
    go(e) {
      if (e.currentTarget.dataset.type == this.data.activeTab) return false
      if (e.currentTarget.dataset.type == '0') { // 首页
        wx.switchTab({
          url: '/pages/Home/Home'
        })
      } else if (e.currentTarget.dataset.type == '2') { // 我的抽奖
        wx.redirectTo({
          url: '/pages/LotteryCenter/LotteryCenter'
        })
      } else if (e.currentTarget.dataset.type == '1') { // 抽奖列表
        wx.switchTab({
          url: '/pages/LotteryList/LotteryList'
        })
      }
    }
  }
})