import { WGAUTH } from '../../wgUtils/index'

Component({
  properties: {
    label: {
      type: String,
      default: '登录才能进行下一步操作哦~'
    }
  },
  data: {
    hideLoginPanel: false,
    canIUseGetUserProfile: false,
    loginType: 1
  },
  methods: {
    closeModal () {
      this.triggerEvent('cancel')
    },
    bindgetphonenumber(e) {
      WGAUTH.getPhoneNumber(e).then(res => {
        this.triggerEvent('login')
      })
    },
    bindgetuserinfo (e) {
      WGAUTH.getUserInfo(e).then(res => {
        this.triggerEvent('login')
      })
    },
    getUserProfile() {
      WGAUTH.getUserProfile().then(() => {
        this.triggerEvent('login')
      })
    }
  },
  ready() {
    let cusId = wx.getStorageSync('cusId')
    let unionId = wx.getStorageSync('unionId')
    if(cusId && !unionId) {  // 有cusId但是没有unionId，选择授权用户信息
      this.setData({
        loginType: 2
      })
    }
    if(!cusId) {  // 没有cusId，选择授权手机号
      this.setData({
        loginType: 1
      })
    }
    if (wx.getUserProfile) {
      this.setData({
        canIUseGetUserProfile: true
      })
    }
  },
})