import FILTER from '../../utils/filter.js'
const globalData = getApp().globalData
Component({
  properties: {
    transportFee: {
      type: Number
    },
    virtualNum: {
      type: Number
    },
    userInfo: {
      type: Object
    },
    prePrice: {
      type: Number
    },
    lastPrice: {
      type: Number
    }
  },
  data: {
    active: false,
    showRule: false
  },
  methods: {
    isAgreeFun () {
      this.setData({
        active: !this.data.active
      }, () => {
        this.triggerEvent('isAgreeFun', this.data.active)
      })
    },
    showRule (e) {
      this.setData({
        showRule: !this.data.showRule
      })
    }
  },
  ready () {
    // let prePrice = FILTER.currency(globalData.preData.prePrice + this.data.transportFee - this.data.virtualNum)
    this.setData({
      startTime: FILTER.getFullDate(globalData.preData.frontMoneyStartTime, true) + '~' + FILTER.getFullDate(globalData.preData.frontMoneyEndTime, true),
      endTime: FILTER.getFullDate(globalData.preData.balancePaymentStartTime, true) + '~' + FILTER.getFullDate(globalData.preData.balancePaymentEndTime, true)
    })
  }
})
