Component ({
  properties: {
    list: Array,
    returnType: Number,
    pId: Number,
  },
  data: {
    hideRuleModal: true,
    hideListModal: true,
    ticker: null,
  },
  methods: {
    showRuleModal() {
      this.setData({
        hideRuleModal: false
      })
    },
    hideRuleModal() {
      this.setData({
        hideRuleModal: true
      })
    },
    showListModal() {
      this.setData({
        hideListModal: false
      })
    },
    hideListModal() {
      this.setData({
        hideListModal: true
      })
    },
    goDetail(e) {
      wx.navigateTo({
        url: '/pages/GroupBDetail/GroupBDetail?grouppurchaseCode=' + e.currentTarget.dataset.code,
      })
    },
    startTick() {
      let list = this.data.list
      const that = this
      let h = 0, m = 0, s = 0
      if(this.data.ticker) clearInterval(this.data.ticker)
      let ticker = setInterval(function () {
        for(let i = 0;i<list.length;i++) {
          let yu = parseInt(list[i].endTime/1000)
          if(yu > 0) {
            h = parseInt(yu/3600)
            m = parseInt((yu - h*3600)/60)
            s = parseInt(yu - h*3600 - m*60)
            that.setData({
              ['list[' + i+'].endTime']: list[i].endTime - 1000,
              ['list[' + i+'].end']: {
                h: h<10?'0'+h:h,
                m:m<10?'0'+m:m,
                s:s<10?'0'+s:s
              }
            })
          }
        }
      }, 1000)
      this.setData({
        ticker: ticker
      })
    }
  },
  observers: {
    'list'(nv) {
      if(nv.length > 0) {
        this.startTick()
      }
    }
  },
  pageLifetimes: {
    hide() {
      clearInterval(this.data.ticker)
    }
  }
})