Component({
  data: {
    cusId: wx.getStorageSync('cusId') 
  },
  methods: {
    closePopup() {
      this.triggerEvent('close', {})
    },
    handleContact(e) {
      var path = e.detail.path,
      query = e.detail.query,
      params = '';
      if (path) {
        for (var key in query) {
          params = key + '=' + query[key] + '&';
        }
        params = params.slice(0, params.length - 1);
        console.log('path, params------', path, params)
        if(path.indexOf('Home/Home') != -1 || path.indexOf('ProductIndex/ProductIndex') != -1 || path.indexOf('FanCommunity/pages/WgFans/WgFans') != -1 || path.indexOf('MyCart/MyCart') != -1 || path.indexOf('PersonalCenter/PersonalCenter') != -1) {
          wx.switchTab({
            url: path + '?' + params
          })
        } else {
          wx.navigateTo({
            url: path + '?' + params
          })
        }
      }
    },
  }
})