import { WGCOMMON,WGTRACK } from '../../../../wgUtils/index'

Component({
  data: {
    hideLoginModal: true
  },
  properties: {
    isInActivity: {
      type: Boolean,
      default: false
    }
  },
  methods: {
    toPostComment() {
      WGCOMMON.showLoading()
      let that = this
      setTimeout(function() {
        if (wx.getStorageSync('cusId')) {
          WGTRACK.logCustomEvent('click_to_postComment')
          wx.navigateTo({
            url: '/modules/FanCommunity/pages/PostComment/PostComment'
          })
        } else {
          that.setData({
            hideLoginModal: false,
          })
        }
        WGCOMMON.hideLoading()
      }, 1500)
    },
    authSuccess() {
      this.setData({ hideLoginModal: true })
      this.toPostComment()
    },
    authFail() {
      this.setData({ hideLoginModal: true })
    },
    closeLoginModal() {
      this.setData({ hideLoginModal: true })
    }
  },
})