
import { WGHTTP } from '../../../wgUtils/index'

export default {
  getCouponDetail:() => {  //满xx返xx，金额根据用户近1年（2020年6月1日~2021年5月30日）累计交易成功的实付金额显示不同的梯度。
    return WGHTTP.get(`wechat-shop-back/challenge/getCouponDetail?cusId=${wx.getStorageSync('cusId')}`)
  },
  getOrderFee:() => {  // 获取消费金额累计6.3-6.18的实付金额 
    return WGHTTP.get(`wechat-shop-back/challenge/getOrderFee?cusId=${wx.getStorageSync('cusId')}`)
  },
  getSignUpMsg:(challengeId, page) => {  //获取活动报名人员信息，要分页，一页20条数据
    return WGHTTP.get(`wechat-shop-back/challenge/getSignUpMsg?challengeId=${challengeId}`)
  },
  signUp:(challengeId, enterGrad, openId) => {  //报名
    return WGHTTP.get(`wechat-shop-back/challenge/signUp?cusId=${wx.getStorageSync('cusId')}&challengeId=${challengeId}&enterGrad=${enterGrad}&openId=${openId}`)
  },
  receive: cusId => WGHTTP.get(`wechat-shop-back/challenge/receive?cusId=${cusId}`), // 领取奖品
  challengeResult: cusId => { // 获取挑战结果
    return WGHTTP.get(`wechat-shop-back/challenge/result?cusId=${cusId}`, null, 'json', true)
  }
}