import { WGHTTP } from '../../../wgUtils/index'

export default {
  storedList: ()=> {//获取储值卡列表
    return WGHTTP.get('wechat-shop-back/storedValue/list')
  },
  get_gwj_relate: ()=> {// 获取购物金相关
    return WGHTTP.get(`wechat-propagate-back/gwjAccount/info?openId=${wx.getStorageSync('openId')}&cusId=${wx.getStorageSync('cusId')}&sourceType=1`)
  },
  storedValue: data => { // 提交申请试用表单
    return WGHTTP.post('wechat-shop-back/storedValue', data)
  },
  getStoredValueCardList: (data)=> {// 获取购物金相关
    return WGHTTP.get(`wechat-shop-back/storedValue/getStoredValueCardList?customerId=${wx.getStorageSync('cusId')}&storedValueCardStatus=${data}`)
  },
  get_cash_detail: (data)=> {// 获取购物金明细
    return WGHTTP.get('wechat-propagate-back/gwjAccount/detail/info',data)
  },

  getByOrderCode: (orderCode)=> {// 根据订单编号获取储值卡订单详情
    return WGHTTP.get('wechat-shop-back/storedValue/getByOrderCode/'+orderCode)
  },
  getStoredOrderByCusId: (customerId)=> {// 购买历史/根据cusId获取储值卡订单列表
    return WGHTTP.get('wechat-shop-back/storedValue/getStoredOrderByCusId/'+customerId)
  },
  activationGwjAccount: storedValueCardOrderId => { // 自用激活储值卡赠送购物金
    return WGHTTP.post(`wechat-shop-back/storedValue/activationGwjAccount?storedValueCardOrderId=${storedValueCardOrderId}`)
  },
  cancelSendCard: (storedValueCardOrderId)=> {// 取消赠送储值卡
    return WGHTTP.get('wechat-shop-back/storedValue/cancelSendCard/'+storedValueCardOrderId)
  },
  updateBless: (storedValueCardOrdId,storedValueCardDesc)=> {//   赠送储值卡/根据Id更新祝福语
    return WGHTTP.get('wechat-shop-back/storedValue/updateBless/'+ storedValueCardOrdId, storedValueCardDesc)
  },
  receiveGwjAccount: data => { // 领取激活储值卡赠送购物金
    return WGHTTP.post('wechat-shop-back/storedValue/receiveGwjAccount', data)
  },
  getById: (storedValueCardOrderId)=> {// 根据Id获取储值卡订单详情
    return WGHTTP.get('wechat-shop-back/storedValue/getById/'+storedValueCardOrderId)
  },
  getSendReceiveList: (data)=> {// 根据cusId获取收送记录储值卡详情
    return WGHTTP.get(`wechat-shop-back/storedValue/getSendReceiveList?customerId=${wx.getStorageSync('cusId')}&storedSendStatus=${data}`)
  },
  gwjExpiringAmount: ()=> {// 获取账户n天内快过期购物金
    return WGHTTP.get(`wechat-propagate-back/gwjAccount/gwjExpiringAmount?cusId=${wx.getStorageSync('cusId')}`)
  },
  getPayGift: (orderId) => {  //Post 支付有礼
    return WGHTTP.post(`wechat-shop-back/order/getPayGift?orderId=${orderId}&customerId=${wx.getStorageSync('cusId')}`)
  },
  

}