// modules/ShoppingMoney/components/StoredPaySuccess/StoredPaySuccess.js
import api from '../../api/index'
Component({
  /**
   * 组件的属性列表
   */
  properties: {
    url:{
      type:String,
      value:'/modules/ShoppingMoney/pages/StoredList/StoredList'
    },
    successTxt: {
      type:String,
      value:'支付成功'
    },
    successMoney: {
      type:String,
      value:'0'
    },
    jumpBtnTxt: {
      type:String,
      value:'查看我的储值卡'
    },
  },

  /**
   * 组件的初始数据
   */
  data: {
    money:0,
    billId:'',
    orderId:'',
  },
  onshow(e){
    console.log(e)
  },

  /**
   * 组件的方法列表
   */
  methods: {
    goStoredList(){
      wx.navigateTo({
        url: this.data.url+'?orderId=' + this.data.orderId
      })
    },
  },
  ready: function(){
    let that = this;
    this.setData({
      billId:this.options.billId,
      orderId: this.options.orderId
    })
    api.getByOrderCode(this.options.billId).then(res => {
      that.setData({
        money:res.totalFee
      })
    })
  },
  
})
