import {
  Page, WGCOMMON, WGAUTH, WGFORMAT,WGSUBSCRIBE 
} from '../../../../wgUtils/index'
import api from '../../api/index'
import { REQUEST, API, TOAST, } from '../../../../utils/index';
import env1 from '../../../../utils/env1'
import WGPAY from '../../../../utils/pay'

Page({

  /**
   * 页面的初始数据
   */
  data: {
    receiveStatus:1,//礼品卡状态状态0未支付1未激活2已激活3赠送中4已领取/已送出 ,
    storedValueCardDesc:''
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function(options){
    let storedValueCardOrdId = options.storedValueCardOrdId
    this.setData({
      storedValueCardOrdId :storedValueCardOrdId
    })
    let that = this
    api.getById(this.data.storedValueCardOrdId).then(res => {
      console.log(res)
      that.setData({
        receiveGwjAccount:res,
        receiveStatus:res.storedValueCardStatus,
        storedValueCardDesc:res.storedValueCardDesc 
      })
    })
  },
  bindFormSubmit: function(e) {
    console.log(e.detail.value.textarea)
    this.setData({
      storedValueCardDesc: e.detail.value.textarea
    })
  },
  updateBless(e){
    console.log(this.data)
    let that = this
    let storedValueCardOrdId = this.data.storedValueCardOrdId
    let storedValueCardDesc = this.data.storedValueCardDesc || '送你'+this.data.receiveGwjAccount.totalFee +'元购物金，记得使用哦'
    let data ={
      storedValueCardDesc:storedValueCardDesc
    }
    api.updateBless(storedValueCardOrdId,data).then(res => {
      // TOAST.success({
      //   title: '赠送成功',
      //   duration: 2000
      // })
      that.setData({
        receiveStatus :res.storedValueCardStatus
      })

    })

  },
  sendAgain(){
    wx.navigateTo({
      url: '/modules/ShoppingMoney/pages/StoredList/StoredList'
    })
  },
  openSubscription(){
    WGSUBSCRIBE('handselStored').then(r => {
      if (r == 1) {
        TOAST.success({
          title: '订阅成功',
          duration: 2000
        })
      }
    })

  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function (options) {
    console.log(options)
  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    console.log(options)
  
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {
    let that = this
    setTimeout(function(){
      that.updateBless()
    },2000)
    return {
      title: '对你的爱都在卡里，记得领啊！',
      imageUrl: 'https://img.wgmf.com/img_shopping_gold_card_share.png?imageslim',
      path: 'modules/ShoppingMoney/pages/StoredReceive/StoredReceive?storedValueCardOrdId='+this.data.storedValueCardOrdId
    }
  }
})