import {
  Page, WGCOMMON, WGAUTH, WGFORMAT
} from '../../../../wgUtils/index'
import api from '../../api/index'
import { REQUEST, API, TOAST, } from '../../../../utils/index';
import env1 from '../../../../utils/env1'
import WGPAY from '../../../../utils/pay'

Page({

  /**
   * 页面的初始数据
   */
  data: {
    showId:1,
    storedCardList:[],
    available:0,
    inactivated:0,
    checkId:'1',
    customPopupTxt:'确定要激活吗？',
    customPopupShow:false,
    showGWJTips:false,
    cusId: wx.getStorageSync('cusId'),
    orderId:'',
    payGift:{},
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    console.log(options)
    let checkId = options.checkId
    if(checkId == 2){
      this.setData({
        checkId: checkId
      })
    }
    console.log(this.data)
  },
  bannerJump(e){
    console.log(e)
    if(e.detail == 2) {
      wx.redirectTo({
        url: '/modules/ShoppingMoney/pages/StoredDetail/StoredDetail'
      })
    }
    if(e.detail == 0) {
      wx.redirectTo({
        url: '/modules/ShoppingMoney/pages/Stored/Stored'
      })
    }
  },
  getStoredValueCardList(e){
    let that = this
    let showGWJTips = false
    api.getStoredValueCardList(e).then(res => {
      console.log(res)
      console.log(res.receiveCustomerId)
      console.log(wx.getStorageSync('cusId'))
      if(res.receiveCustomerId != wx.getStorageSync('cusId')) {
        showGWJTips = true
      }
      if(res.storedValueCardOrderList.length>=1) {
        console.log(res.storedValueCardOrderList)
        res.storedValueCardOrderList.map(item=>{
          if(item&& item.orderId) {
            console.log(item)
            api.getPayGift(item.orderId).then(_res => {
              console.log(_res)
              item.payGift = _res
              that.setData({
                storedCardList:res.storedValueCardOrderList,
                available:res.activationNum,
                inactivated:res.noActivationNum,
                showGWJTips:showGWJTips
              })
            })
          } else {
            consol.log(res)
            that.setData({
              storedCardList:res.storedValueCardOrderList,
              available:res.activationNum,
              inactivated:res.noActivationNum,
              showGWJTips:showGWJTips
            })
            console.log(this.data.storedCardList)
          }
        })
      } else {
        console.log(res)
        console.log(res.storedValueCardOrderList)
        that.setData({
          storedCardList:res.storedValueCardOrderList,
          available:res.activationNum,
          inactivated:res.noActivationNum,
          showGWJTips:showGWJTips
        })
      }
    })

  },
  jump(e){
    let id = e.currentTarget.dataset.id;
    this.setData({
      checkId: id,
    })
    this.getStoredValueCardList(id)
  },
  activation(e){
    //自用激活
    let item = e.currentTarget.dataset.item;
    this.setData({
      customPopupShow : true,
      storedValueCardOrderId: item.id
    })
  },
  goDraw (e){
    var newUrl = encodeURIComponent(e.currentTarget.dataset.item.payGift.storedValueCardUrl);
    let url='/pages/WebView/WebView?url=' +newUrl
    console.log(url)
    wx.navigateTo({
      url: url
    })
  },
  handsel(e){
    //赠好友
    let storedValueCardOrdId = e.currentTarget.dataset.item.id;
    wx.navigateTo({
      url: '/modules/ShoppingMoney/pages/Handsel/Handsel?storedValueCardOrdId='+storedValueCardOrdId
    })


  },
  CancelHandsel(e){
    //取消赠送
    console.log(e)
    api.cancelSendCard(e.currentTarget.dataset.item.id).then(res => {
      TOAST.success({
        title: '取消成功',
        duration: 2000
      })
      this.getStoredValueCardList(this.data.checkId)
    })
  },
  consumerDetails(){
    //消费明细
    wx.navigateTo({
      url: '/modules/ShoppingMoney/components/ConsumerDetails/ConsumerDetails'
    })
  },
  toUse(){
    //去使用
    wx.switchTab({
      url: '/pages/Home/Home?_campaign=storedCardList' // switchtab不支持带参
    })
  },
  purchaseHistory(){
    wx.navigateTo({
      url: '/modules/ShoppingMoney/pages/PurchaseHistory/PurchaseHistory'
    })
    //购买历史
  },
  deliveryRecord(){
    wx.navigateTo({
      url: '/modules/ShoppingMoney/pages/DeliveryRecord/DeliveryRecord'
    })
    //收送记录
  },
  clickConfirm(){
    //确认弹窗
    this.setData({
      customPopupShow : false,
      checkId: 2
    })
    api.activationGwjAccount(JSON.stringify(this.data.storedValueCardOrderId)).then(res => {
      TOAST.success({
        title: '当前卡已激活，请尽快使用',
        duration: 2000
      })
      this.getStoredValueCardList(this.data.checkId)
    })
  },
  clickCancel(){
    //取消弹窗
    this.setData({
      customPopupShow : false
    })
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {
    let that = this;
    // this.setData({
    //   orderId:this.options.orderId
    // })

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function (options) {
    console.log(this.data)
    this.getStoredValueCardList(this.data.checkId)
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {
    return {
      title: '对你的爱都在卡里，记得领啊！',
      imageUrl: 'https://img.wgmf.com/img_shopping_gold_card_share.png?imageslim',
      path: 'modules/ShoppingMoney/pages/Stored/Stored'
    }
  }
})