// modules/Svip/pages/MonthlyCoupons/MonthlyCoupons.js
import {
  Page, WGCOMMON, WGAUTH, WGFORMAT
} from '../../../../wgUtils/index'
import api from '../../api/index'
import { REQUEST, API } from '../../../../utils/index';
Page({

  /**
   * 页面的初始数据
   */
  data: {
    couponsList:false,
    cusId: wx.getStorageSync('cusId'),
    openList: 'https://img.wgmf.com/btn_vouchers_unfold%402x.png',
    closeList: 'https://img.wgmf.com/btn_vouchers_fold%402x.png',
    nowDate:new Date().getTime(),
    vipCusStatus: wx.getStorageSync('vipCusStatus')
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {

  },
  goBack() { // 返回
      let pages = getCurrentPages() // 获取页面信息栈
      let prevPage = pages[pages.length - 2] // 获取上一个页面信息栈
      if(prevPage) {
        wx.navigateBack({})
      } else {
        wx.switchTab({ url: '/pages/Home/Home' })
      }
    },
  linkToSvip() {
    wx.navigateTo({
      url: '/pages/superMember/superMember'
    })
  },
  initSvipMonthPack() { // 初始化订单
    WGCOMMON.showLoading()
    let onlyCurMonth = 0
    api.svipMonthPack(onlyCurMonth).then(res => {
      console.log(res)
      let index = 0;
      if(res && res.length>0) {
        res.map(item => {
          item.id = ++index
          if(item.packageStatus == 0) {
            item.switch = true;
          } else {
            item.switch = false;
          }
        })
        this.setData({
          couponsList : res
        })
      }
      WGCOMMON.hideLoading()
    })
  },
  switchInfo(e){
    let couponsList = this.data.couponsList
    couponsList.map(item=>{
      if(item.id == e.currentTarget.dataset.gid) {
        item.switch = !item.switch
      }
    })
    this.setData({
      couponsList : couponsList
    })
  },
  receiveTicket(e){
    WGCOMMON.showLoading()
    let that = this
    let ticketDetailId = e.currentTarget.dataset.gid.ticketDetailId;
    console.log(e)
    api.receiveCurMonthTicket(ticketDetailId).then(res => {
      // let couponsList = this.data.couponsList
      // couponsList.map(item=>{
      //   item.map(item2=>{
      //     if(item2.ticketDetailId = ticketDetailId) {
      //       item2.receiveStatus = 1
      //     }
      //   })
      // })
      // this.setData({
      //   couponsList : couponsList
      // })
      console.log(res)
      WGCOMMON.hideLoading()
      WGCOMMON.toast('领取成功', 1200)
      setTimeout(function () {
        that.initSvipMonthPack()
      }, 1500)
    })
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    this.initSvipMonthPack()
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})