import { WGHTTP } from '../../../wgUtils/index'

export default {
  // 获取首页红包封面明细
  redPackageList: () => {
    return WGHTTP.post(`wechat-shop-back/redPackage/list?openId=${wx.getStorageSync('openId')}`)
  },
  // 获取助力名单
  getShareList: () => {
    return WGHTTP.post(`wechat-shop-back/redPackage/getShareList?openId=${wx.getStorageSync('openId')}`)
  },

  // 参与红包封面抽奖
  partRedPackage: (data) => {
    return WGHTTP.post(`wechat-shop-back/redPackage/partRedPackage`, data)
  },
  // 好友助力
  shareRedPackage: (data) => {
    return WGHTTP.post(`wechat-shop-back/redPackage/shareRedPackage`, data)
  },


  // GET /redPackage/getWechatHeadImgUrl
// 获取活动所有已中奖人员的微信头像，要分页，一页100条数据
  getWechatHeadImgUrl: (data) => {
    return WGHTTP.get(`wechat-shop-back/redPackage/getWechatHeadImgUrl?isDraw=1&curPage=${data.curPage}&pageSize=${data.pageSize}` )
  },


  // 领取红包封面
  receiveRedPackage: (data) => {
    return WGHTTP.post(`wechat-shop-back/redPackage/receiveRedPackage?openId=${data.openId}&redPackageId=${data.redPackageId}`)
  },
}