import {
  Page,
} from '../../wgUtils/index';
import API from '../../api/index'
const app = getApp()
const data = {
  cardName:'',
  cardRemark:'',
  cardype:'',
  mobile:'',
  ruleUrl:'',
  validity:'',
  vipBuyTime:'',
  vipInvalidTime:'',
  list:[],
  showQrcode: false, //是否展示二维码
  qrCode: '', //二维码临时路径
  addtominiprogram: false, //是否显示收藏弹窗
  officialImg: false, //根据关注公众号组件判断是否显示指示图
}
const methods = {
  postVoucherInfo() {
    let that = this;
    API.coupons.postVoucherCards().then((res) => {
      console.log(res)
    }).catch((e) => {
    })
    API.coupons.postVoucherInfo().then((res) => {
      console.log(res)
      // res.list[1].status = 1
      // res.list[1].updateTime = '2022-04-12'
      // res.list.push(JSON.parse(JSON.stringify(res.list[2])))
      // res.list[3].status = 2
      // res.list[3].validity = '2022-04-12'
      that.setData({
        cardName:res.cardName,
        cardRemark:res.cardRemark,
        cardype:res.cardype,
        mobile:res.mobile,
        ruleUrl:res.ruleUrl,
        validity:res.validity,
        vipBuyTime:res.vipBuyTime,
        vipInvalidTime:res.vipInvalidTime,
        list:res.list,
        createTime: res.createTime, // 发券时间
        updateTime: res.updateTime, // 兑换时间
      })
    }).catch((e) => {
    })
  }
}
Page({
  data,
  ...methods,
  onLoad: function (options) {
    wx.hideShareMenu()
  },
  onHide() {},
  onShow: function () {
    this.postVoucherInfo()
    this.getSystemInfo()
  },
  getSystemInfo() {
    // 获取用户的设备型号
    let that = this
    try {
      wx.getSystemInfo({
        success(res) {
          console.log(res)
          if(res.system.indexOf('Android') != -1){
            console.log(res.model + '手机', '安卓手机')
            that.setData({
              addtominiprogram: !wx.getStorageSync('equityCardFlag') || false
            })
          } else {
            that.setData({
              addtominiprogram: false
            })
          }
        }
      })
    } catch (error) {
      console.log('微信版本太低，无法获取设备型号')
    }
  },
  bindload(){
    this.setData({
      officialImg: true
    })
  },
  binderror(){
    this.setData({
      officialImg: false
    })
  },
  toRules(){
    wx.createSelectorQuery().select('#rules').fields({
      scrollOffset: true,
      rect: true
    },
    function (res) {
      console.log(res)
      wx.pageScrollTo({
        scrollTop: res.top - 30,
        duration: 300
      })
    }).exec()
  },
  close() { // 关闭“将小程序添加至我的小程序教程卡片”
    this.setData({
      addtominiprogram: false
    })
    wx.setStorageSync('equityCardFlag', true)
  },
  changQrcode(e){
    this.setData({
      showQrcode: e.currentTarget.dataset.showqrcode,
      qrCode: e.currentTarget.dataset.showqrcode ? e.currentTarget.dataset.qrcode : '',
    })
  }
})