import {
  Page
} from "../../wgUtils/index";

const app = getApp()

const methods = {
  onTextAreaBlur(e) {
    this.setData({
      value: e.detail.value
    })
    app.globalData.leaveMessage = e.detail.value
  },
  submit() {
    let pages = getCurrentPages()
    let prevPage = pages[pages.length - 2]
    app.globalData.adIndex = this.data.adressid
    prevPage.setData({
      leaveMessage: this.data.value.trim() ? this.data.value : '给卖家留言（选填）：',
      buyerMemo: this.data.value.trim() ? this.data.value : '',
      adIndex: this.data.adressid
    })
    wx.navigateBack()
  }
}
Page({
  data: {
    value: app.globalData.leaveMessage
  },
  ...methods,
  onHide() {},
  onLoad: function (options) {
    wx.hideShareMenu()
    this.setData({
      adressid: options.adressid
    })
  },
  onShow: function () {
    this.setData({
      value: app.globalData.leaveMessage
    })
  }
})