import api from '../../api/index'
import staffShare from '../../utils/staffShare.js'
import {
  Page, WGFORMAT,WGUSER,WGAUTH,
} from '../../wgUtils/index';
import {
  LOADING,
} from '../../utils/index.js'
let app = getApp()
Page({
  data: {
    // 一级类目
    series: [], 
    // 二级类目
    secondSeries: ['专柜同款', '满299减30', '其他', '黑营养', '其他', '黑营养', '其他', '黑营养', '其他', '黑营养'],
    currentSeriesParent: { // 当前一级类目id与index
      id: -1,
      index: -1
    }, 
    currentSeriesChild: { // 当前二级类目id与index
      id: -1,
      index: -1
    }, 
    scrollTop: 0,
    // 二级类目顶部的轮播图
    banners: [], // 轮播banner图
    hiddenSecondSeries: true, // 隐藏二级类目下拉菜单
    products: [], // 商品列表
    hiddenSkuModal: true, // 隐藏选择产品规格面板
    curProduct: null, // 当前选中的商品
    loginType: 1, // 1手机号授权，2用户信息授权
    isLogin: false,
  },
  closeSku() {
    this.setData({ hiddenSkuModal: true })
  },
  linkToOtherPage(url, query, cellId) {
    api.modules.getActivityPageId(url).then(r => {
      if (r.id) {
        wx.navigateTo({
          url: '/pages/ActivityPage/ActivityPage?id=' + r.id + '&unit_id=' + cellId + '&' + query 
        })
      }
    })
  },
  toParentProList(e) {
    // let tmp = this.data.currentSeriesParent
    // var item = e.currentTarget.dataset.id;
    // console.log(item)
    // console.log(e)
    // wx.navigateTo({
    // //   url: `/pages/ProductList/ProductList?id=${tmp.id}&name=${this.data.series[tmp.index].productSeries.seriesName}`
    //   url: item.link
    // })
    
    // 选择产品 0
    // 选择小程序内其他页面 0
    // 选择优惠券 1
    // 选择H5二级页面 2
    // 拼团预售页面 0
    // 选择小程序二级页面 3
    let obj = e.currentTarget.dataset.id
    obj.link = obj.link.toString()
    console.log(obj)
    if (!obj.appid && (obj.link.indexOf('modules/FanCommunity/pages/WgFans/WgFans') != -1 || obj.link.indexOf('/pages/ProductIndex/ProductIndex') != -1 || obj.link.indexOf('/pages/MyCart/MyCart') != -1 || obj.link.indexOf('/pages/PersonalCenter/PersonalCenter') != -1 || obj.link.indexOf('/pages/Home/Home') != -1)) { // 首页 + 超级会员
      
    console.log(obj)
      let query = obj.link.split('?')
      if (query.length > 1) {
        let queryObj = {}
        let queryArr = query[1].split('&')
        for (let i = 0; i < queryArr.length; i++) {
          let tmp = queryArr[i].split('=')
          queryObj[tmp[0]] = tmp[1]
        }
        queryObj['unit_id'] = obj.id
        app.globalData.switchTabQueryObj = queryObj
      }
      wx.switchTab({
        url: query[0]
      })
    } else if (obj.link == 'top' || obj.link == 'Top' || obj.link == 'TOP') { // 回到顶部
      wx.pageScrollTo({
        scrollTop: 0,
        duration: 300
      })
    } else if (obj.link == 'liveInfo' || obj.link == 'LiveInfo' || obj.link == 'LIVEINFO') { // 跳转到直播间
      //跳转直播间
          console.log(obj.link)
      if(this.data.goLiveInfo == true) {
        wx.openChannelsLive({
          finderUserName: 'sphmTN8rmxUL5cq',
          feedId: this.data.getChannelsLiveInfoRes.feedId,
          nonceId: this.data.getChannelsLiveInfoRes.nonceId,
          success(_res) {
            console.log(_res)
          },
          fail(_res) {
            console.log('跳转视频号失败',_res)
          }
        })
      }
    }  else if (obj.link == 'liveNoticeInfo' || obj.link == 'LiveNoticeInfo' || obj.link == 'LIVENOTICEINFO') { // 预约直播
      //预约直播
          console.log(obj.link)
      wx.getChannelsLiveNoticeInfo({
        finderUserName: 'sphmTN8rmxUL5cq',
        success(res) {
          console.log(res)
          wx.reserveChannelsLive({
            noticeId: res.noticeId,
            success(_res) {
              console.log(_res)
            },
            fail(_res) {
              wx.showToast({
                icon: 'none',
                title: '跳转直播预约失败',
                duration: 1500
              })
            }
          })
        },
        fail(_res) {
          wx.showToast({
            icon: 'none',
            title: '当前暂无可预约的直播',
            duration: 1500
          })
        }
      })
    } else if (obj.appid && obj.link && obj.appid != 2 && obj.appid != 0) { // 优惠券 & 二级页面 & 小程序页面
      if (obj.appid == '优惠券') {
        let cusId = wx.getStorageSync('cusId')
        if (cusId) {
          api.coupons.detail(obj.link).then(r => {
            if (r.needPoints == 0) {
              api.coupons.receive(cusId, obj.link, r.userTkcpAmount)
            } else {
              wx.showModal({
                title: '提示',
                content: '领一张券需扣您' + r.needPoints + '积分，您确定要领吗?',
                success(res) {
                  if (res.confirm) {
                    api.coupons.receive(cusId, obj.link, r.userTkcpAmount)
                  }
                }
              })
            }
          })
        } else {
          this.setData({
            hideLoginPanel: false
          })
        }
      } else if (obj.appid == '二级页面') { // H5二级页面
        wx.navigateTo({
          url: '/pages/ActivityPage/ActivityPage?id=' + obj.link + '&unit_id=' + obj.id
        }) 
      } else if (obj.appid == '3') { // 小程序二级页面
        wx.navigateTo({
          url: `/pages/ActivePage/ActivePage?id=${obj.link}&unit_id=${obj.id}` 
        })
      } else {
        wx.navigateToMiniProgram({
          appId: obj.appid,
          path: obj.link,
          extraData: {
            foo: 'bar'
          },
          envVersion: 'release',
          success(res) { }
        })
        console.log('打开其他小程序', obj)
      }
    } else if (obj.link.indexOf('.wgmf.com/wechat-html/html/shop/product/') != -1) { // 二级页面
      console.log(obj)
      let arr = obj.link.split('?')
      let a = arr[0]
      let b = a.split('/')
      let url = b[b.length - 1]
      let query = arr.length > 1 ? arr[1] : ''
      this.linkToOtherPage(url, query, obj.id)
    } else if (obj.link) { // 其他页面
      if(obj.link.indexOf('?') === -1) {
        obj.link += `?unit_id=${obj.id}`
      } else {
        obj.link += `&unit_id=${obj.id}`
      }
      wx.navigateTo({
        url: obj.link
      })
    }
  },
  initData() { // 初始化一级类目菜单
    wx.showLoading({
      title: '加载中'
    })
    api.product.productSeries().then(res => { // 加载类目
      if(res) {
        this.setData({
          series: res,
          secondSeries: res[0].productSeriesList,
          currentSeriesParent: { // 当前被选中的一级类目
            id: res[0].productSeries.id,
            index: 0
          },
          currentSeriesChild: {
            id: res[0].productSeriesList[0].id,
            index: 0
          }, 
          banners: res[0].productSeries.imgUrl
        })
        this.getProductList()
      }
      wx.hideLoading()
    })
  },
  toggleHiddenSecondSeries() { // 显示隐藏二级类目面板
    this.setData({ hiddenSecondSeries: !this.data.hiddenSecondSeries })
  },
  chooseFirstSeries(e) { // 点击选中一级类目
    let id = e.currentTarget.dataset.id
    let index = e.currentTarget.dataset.index
    if(index === this.data.currentSeriesParent.index) return
    this.setData({
      currentSeriesParent: { // 当前一级类目id与index
        id: id,
        index: index
      }, 
      currentSeriesChild: {
        id: this.data.series[index].productSeriesList[0].id,
        index: 0
      },
      secondSeries: this.data.series[index].productSeriesList,
      banners: this.data.series[index].productSeries.imgUrl
    })
    this.getProductList()
  },
  chooseSecondSeriesItem(e) { // 点击选中二级类目
    let id = e.currentTarget.dataset.id
    let index = e.currentTarget.dataset.index
    if(index === this.data.currentSeriesChild.index) return
    this.setData({
      currentSeriesChild: { id: id, index: index },
      hiddenSecondSeries: true
    })
    this.getProductList()
  },
  getProductList() {
    api.product.productsBySeriesId(this.data.currentSeriesChild.id).then(res => {
      if(res) {
        res.forEach(item => {
          item['actType'] = 0
          if(item.hotWord) {
            item.hotWord = item.hotWord.split(',')
          }
          let stock = 0
          let isRedeem = false
          let redeemPrice = 999999
          item.products.forEach(pro => {
            if(pro.enable === 0) { // sku没有被禁用
              stock += pro.stock
            }
            if(pro.isRedeem == 1) {
              isRedeem = true
              redeemPrice = pro.redeemPrice < redeemPrice ? pro.redeemPrice : redeemPrice
            }
          })
          item['stock'] = stock
          item['operationType'] = 0
          item['svipPrice'] = WGFORMAT.formatCurrency(item.minPrice * 0.95)
          item['redeemPrice'] = redeemPrice
          if (item.groupPurchase && item.groupPurchase.length > 0) {
            item['isAddShoppingCart'] = 0
            item['actType'] = 8 // actType 0普通  actType 6预售  actType 8团购  actType 9积分兑换 
          }
          if(isRedeem) { // 积分兑换
            item['actType'] = 9
          }
          if(item.buyNow || item.buyCoupon || item.divideDelivery) {
            item['isAddShoppingCart'] = 0 // 不能加购
          }
          if(stock <= 0) { // 库存少于等于0
            item['isAddShoppingCart'] = 0 // 不能加购
            item['displayPriority'] = -1 // 展示优先级为-1
          }
        })
        res.sort(function (a, b) {
          return b.displayPriority - a.displayPriority
        })
        this.setData({ products: res, scrollTop: 0 })
        console.log('产品有', res)
      }
    })
  },
  checkLoginType() { // 检查登录类型  // 1手机号授权，2用户信息授权
    let cusId = wx.getStorageSync('cusId')
    let unionId = wx.getStorageSync('unionId')
    if (!cusId) { // 没有cusId，选择授权手机号
      this.setData({
        loginType: 1,
        isLogin: false
      })
      return false
    } else if (cusId && !unionId) { // 有cusId但是没有unionId，选择授权用户信息
      this.setData({
        loginType: 2,
        isLogin: false,
      })
      return false
    } else { // 既有cusId又有手机号
      this.setData({
        isLogin: true
      })
      return true
    }
  },
  getPhoneNumber(e) { // 获取当前账号手机号码
    console.log(e)
    let that = this;
    if (e.detail.errMsg === 'getPhoneNumber:ok') {
      LOADING.show({
        title: '登录中...'
      })
      WGAUTH.getPhoneNumber(e).then(res => {
        WGUSER.webLogin(res).then(data=>{
          LOADING.hide()
          this.setData({
            isLogin: true
          })
          let channel = wx.getStorageSync('custChannel')
          if(e.currentTarget.dataset.item.channelType == 1 && channel == 1 && wx.getStorageSync('vipCusStatus') != 1){
            wx.showToast({
              icon: 'none',
              title: '本款产品暂无库存',
              duration: 1500
            })
          } else {
            // 添加购物车
            this.addCart(e)
          }
          // 刷新页面
          this.getProductList()
        })
      })
    } else {
      console.log(e.detail.errMsg)
    }
  },
  getUserProfile(e) {
    LOADING.show()
    WGAUTH.getUserProfile().then(res => {
      LOADING.hide()
      if (this.checkLoginType()) {
      }
    })
  },
  bindgetuserinfo(e) { // 获取用户昵称信息
    LOADING.show()
    WGAUTH.getUserInfo(e).then(res => {
      LOADING.hide()
      if (this.checkLoginType()) {
      }
    })
  },
  addCart1(e){
    // 不跳转，但是不写会跳转详情页
    console.log(e)
  },
  addCart(e) {
    // 判断是否登录
    if(e.currentTarget.dataset.item.channelType == 1 && wx.getStorageSync('custChannel') == 1 && wx.getStorageSync('vipCusStatus') != 1){
      wx.showToast({
        icon: 'none',
        title: '本款产品暂无库存',
        duration: 1500
      })
      return
    } 
    let item = e.currentTarget.dataset.item
    this.setData({ curProduct: item, hiddenSkuModal: false })
  },
  toDetail(e) {
    let id = e.currentTarget.dataset.id
    wx.navigateTo({ url: '/pages/ProductDetail/ProductDetail?pId=' + id })
  },
  onShow() {  //登录后需要更改
    if(wx.getStorageSync('custChannel') === ''){
      WGAUTH.wxLogin().then(()=>{
        WGUSER.queryChannel().finally((res)=>{
          if(wx.getStorageSync('custChannel') === ''){
            this.setData({
              isLogin: false
            })
          } else {
            this.setData({
              isLogin: true
            })
          }
          this.initData()
        })
      })
    }else {
      this.setData({
        isLogin: true
      })
      this.initData()
    } 
  },
  onLoad() {  
  },
  onHide() {},
  onShareAppMessage: function (res) { // 自定义点击右上角转发内容
    console.log('转发链接为：' + '/pages/ProductIndex/ProductIndex?' + staffShare.getShareParams())
    return {
      title: '五谷磨房，创造精致生活的更多种选择',
      path: '/pages/ProductIndex/ProductIndex?' + staffShare.getShareParams() //分享人工号，此时分享人为登录者本人
    }
  }
})