import {
  Page
} from '../../wgUtils/index';
import {
  REQUEST,
} from '../../utils/index'
import API from '../../api/index'
import {WGENV} from '../../wgUtils/index'
Page({
  data: {
    webUrl: '',
    stateType: 'wx_08'
  },
  onHide() {},
  onShow() {
    let cusId = wx.getStorageSync('cusId')
    let openId = wx.getStorageSync('openId')
    let unionId = wx.getStorageSync('unionId')
    if(!cusId && !openId && !unionId) { // 没有任何用户信息，需要跳转到授权页面
      console.log(1)
      wx.navigateTo({
        url: '/pages/AuthPage/AuthPage'
      })
    } else {
      console.log(2)
        let baseUrl = WGENV.env == "TEST" ? 'https://newapitest.wgmf.com/' : 'https://newapi.wgmf.com/'
        console.log(baseUrl)
        let that = this;
        let url = 'wechat/h5/cp/external/user/channel/code/match'
        console.log(url)
        let data ={
          "stateCode": that.data.stateType,
          "cusId": cusId,
          "miniOpenId": openId,
          "unionId": unionId
        }
        console.log(data)
        console.log(baseUrl,url,data)
        // data = JSON.stringify(data), 
        REQUEST.get(baseUrl + url, {
          data: data,
          header: {
            'content-type': 'application/json'
          }
        }).then((res) => {
          const {
            status,
            data
          } = res.data
          if (res.data.code === 0) {
            console.log(res)
            this.setData({
              title: '长按识别二维码添加企微好友',
              webUrl: `https://wx.wgmf.com/wechat-html/html/qrcode.html?stateType=${this.data.stateType}&imgUrl=${res.data.payload}`, // 五谷磨房
            })
            wx.setNavigationBarTitle({
              title: '五谷磨房会员商城',
            })
          }else {
            wx.navigateTo({
              url: '/pages/AuthPage/AuthPage'
            })
          }
        })
        // API.user.getQyQrcode(cusId, openId, unionId, this.data.stateType).then(res => {
        // if(res) {
        //   this.setData({
        //     title: '长按识别二维码添加企微好友',
        //     webUrl: `https://wx.wgmf.com/wechat-html/html/qrcode.html?stateType=${this.data.stateType}&imgUrl=${res}`, // 五谷磨房
        //   })
        //   wx.setNavigationBarTitle({
        //     title: '五谷磨房会员商城',
        //   })
        // } else {
        //   wx.navigateTo({
        //     url: '/pages/AuthPage/AuthPage'
        //   })
        // }
      // })
    }
  },
  onLoad(option) {
    this.data.stateType = option.stateType?option.stateType:'wx_08'
  }
})