import {
  REQUEST,
  API,
} from '../../utils/index'
import {
  Page
} from '../../wgUtils/index';

Page({
  data: {
    pId: 1274, // 试用信息pId是1274
    curPage: 1,
    moreTxt: '查看更多...',
    commentModule: [],
    leftCommModule: [],
    rightCommentModule: [],
    leftH: 0,
    rightH: 0,
  },
  toDetail(e) {
    wx.navigateTo({
      url: '/pages/TrialReportDetail/TrialReportDetail?id=' + e.currentTarget.dataset.id
    })
  },
  imgLoad(e) {
    let type = e.currentTarget.dataset.type
    if (type == 1) this.data.leftH += e.detail.height
    else this.data.rightH += e.detail.height
  },
  initDataByPage() {
    if (this.data.moreTxt == '别拖啦，到底啦~') return false
    let curPage = this.data.curPage
    if (curPage === 1) {
      wx.showLoading({})
    }
    REQUEST.get(API.get_commentList, {
      data: {
        productTemplateId: this.data.pId,
        pageSize: 20,
        curPage: this.data.curPage
      }
    }).then((res) => {
      const {
        status,
        data
      } = res.data
      if (status === 0) {
        if (data.length != 0) {
          // console.log('comment', data)
          // let rightCommentModule = this.data.rightCommentModule, leftCommModule = this.data.leftCommModule
          // let rightLen = this.data.rightH, leftLen = this.data.leftH
          // for(let i=0;i<data.length;i++) {
          //   if(leftLen > rightLen) {
          //     if(i%2 == 0) rightCommentModule.push(data[i])
          //     if(i%2 != 0) leftCommModule.push(data[i])              
          //   } else {
          //     if(i%2 == 0) leftCommModule.push(data[i])
          //     if(i%2 != 0) rightCommentModule.push(data[i])
          //   }
          // }
          let commentModule = this.data.commentModule
          for (let i = 0; i < data.length; i++) {
            let imgs = data[i].evaluationImages
            imgs.sort(function (a, b) {
              if (a.sortingOrder - b.sortingOrder == 0) {
                return a.id - b.id
              }
              return a.sortingOrder - b.sortingOrder
            })
            data[i]['evaluationImages'] = imgs
            // console.log(data[i].evaluationImages)
          }
          this.setData({
            curPage: curPage + 1,
            commentModule: [...commentModule, ...data],
            // leftCommModule: leftCommModule,
            // rightCommentModule: rightCommentModule,
          })
        }
      } else {
        this.setData({
          moreTxt: '别拖啦，到底啦~'
        })
      }
      wx.hideLoading()
    }).catch((e) => {})
  },
  onLoad(option) {
    if (option.pId) {
      this.setData({
        pId: option.pId
      })
    }
    this.initDataByPage()
  },
  onHide() {},
  onReachBottom() {
    if (this.data.moreTxt == '别拖啦，到底啦~') return false
    this.setData({
      moreTxt: '玩命加载中......'
    })
    this.initDataByPage()
  },
  onShareAppMessage: function () { // 自定义点击右上角转发内容
    return {
      title: '五谷磨房，创造精致生活的更多种选择',
      path: '/pages/TrialReport/TrialReport?pId=' + this.data.pId
    }
  }
})