import {
  WGHTTP
} from '../wgUtils/index'
import SHOPCARTSERVER from './shopcartserver'

/**
 * 
 * @param {*} action  increase 添加 / decrease 减少 / deleteCart 删除
 * @param {*} shoppingCartTrackLine { price, quantity, productId, productTemplateId, skuName }
 */
let isHttping = false
function CartTrack(action) { // 购物车埋点
  let cusId = wx.getStorageSync('cusId'),
    openId = wx.getStorageSync('openId'),
    source = 2,
    productList = SHOPCARTSERVER.initCart(),
    shoppingCartTrackLine = null
  for (let i = 0; i < productList.length; i++) {
    productList[i].skuName = productList[i].skuName.substring(3)
  }
  shoppingCartTrackLine = JSON.stringify(productList)
  if(!isHttping) {
    isHttping = true
    WGHTTP.post('wechat-shop-track/shoppingCartTrack/savePost', {
      cusId,
      openId,
      source,
      action,
      shoppingCartTrackLine
    }).then(() => {
      isHttping = false
    }).catch(() => {
      isHttping = false
    })
  }
}

export default CartTrack