import api from '../api/index'
import subscribeMsg from './subscribeMsg'
import toast from './toast'

export default {
  orderProduct(productId) { // 到货提醒
    api.product.reserve(wx.getStorageSync('openId'), productId).then(res => {
      console.log('到货提醒yuyue', res)
      if (res) {
        toast.success(res.msg).then(r => {
          subscribeMsg('remindStock')
        })
      }
    })
  },
}