import { FILTER } from '../../utils/index.js'
const methods = {
  showTips(event) { // 是否展示提示文案
    if (event.currentTarget.dataset.scene === 'more') {
      this.setData({
        isTips: false
      })
    } else {
      this.setData({
        isTips: true
      })
    }
    this.setData({
      showTips: event.currentTarget.dataset.type === '1' ? false : true
    })
  },
  goDetail(event) {
    wx.navigateTo({
      url: '/pages/GroupDetail/GroupDetail?grouppurchaseCode=' + event.currentTarget.dataset.code
    })
  },
  _propertyChange(newVal, oldVal) {
    if (newVal) {
      this.fnPrimaryListLoop(this.data.groupPurchasePrimaryList.length)
    }
  },
  fnCountDown(newVal) {
    let _self = this
    for (let i = 0; i < newVal.length; i++) {
      if (newVal[i].endTime) {
        if (newVal[i].endTime <= 0) {
          return '00:00:00'
        }
        let lastTime = newVal[i].endTime / 1000
        if (lastTime < 0) {
          clearInterval(timer)
        }
        let timer = setInterval(function () {
          var h = Math.floor(lastTime / (60 * 60))
          var m = Math.floor(lastTime % (60 * 60) / 60)
          var s = Math.floor(lastTime % 60)
          let result = FILTER.toFixed(h) + ':' + FILTER.toFixed(m) + ':' + FILTER.toFixed(s)
          let groupPurchasePrimaryList = _self.data.groupPurchasePrimaryList
          let endTime1 = 'groupPurchasePrimaryList[' + i + '].endTime'
          _self.setData({
            [endTime1]: result
          })
        }, 1000)
      }
    }
  },
  fnPrimaryListLoop(n) {
    if (n <= 2) return false
    let _self = this
    if (timer) {
      clearInterval(timer)
    }
    let timer = setInterval(function () {
      if (_self.data.startIndex >= n - 2) {
        _self.setData({
          startIndex: 0,
          translateY: 0,
          transitionDuration: '0s'
        })
      } else {
        let translateY = -110 * (_self.data.startIndex + 1)
        _self.setData({
          translateY: translateY,
          transitionDuration: '1s',
          startIndex: _self.data.startIndex + 1
        })
      }
    }, 5000)
  }
}
Component({
  /**
   * 组件的属性列表
   */
  properties: {
    groupNum: {
      type: Number
    },
    groupPurchasePrimaryList: {
      type: Array,
      observer: '_propertyChange'
    }
  },

  /**
   * 组件的初始数据
   */
  data: {
    showTips: false,
    isTips: true,
    userImg: 'http://7xv1io.com1.z0.glb.clouddn.com/img_default.png',
    scrollTop: 0,
    translateY: 0,
    transitionDuration: '0s',
    startIndex: 0,
    arr: [1, 2, 3, 4, 5, 6, 7, 8, 9, 10]
  },

  /**
   * 组件的方法列表
   */
  methods,
  attached() {
    // this.setData({
    //   groupPurchasePrimaryList: [0, 1, 2]
    // })
  }
})
