import api from '../../api/index'
import { LOADING,REQUEST } from '../../utils/index'
import { WGAUTH,WGTRACK,WGENV} from '../../wgUtils/index'

const app = getApp()

Component({
  properties: {
    type: Number,
    pageData: Object,
    swiperIndex: Number,
    specialStyle: String,
    classifyList: Array,
    isOnReachBottom: Number,
    pageScroll: Number, // 滚动高度
  },
  data: {
    hideLoginPanel: true,
    goLiveInfo: false,
    borderImgs: [],
    recommendList: [
      {title: '推荐', subtitle: '猜你喜欢', imgTitle: '../../assets/images/tab_btn_shopping_cart_2.png', id:1 , cells:  [{
        type: 1,
        cells: [{
            appId: "wx7ab585adafd415bc",
            col: 2,
            id: 22159,
            imgUrl: "https://img.wgmf.com/wgmall/invite-svip-20220226/img_bg_member_invitation_feb_5.png",
            link: "/pages/startAnswering/startAnswering",
            moduleId: 8126,
            row: 0,
          },
          {
            id: 22158,
            moduleId: 8126,
            link: "/pages/home/home",
            imgUrl: "https://img.wgmf.com/wgmall/invite-svip-20220226/img_bg_member_invitation_feb_1.png?imageslim",
            col: 0,
            moduleId: 8126,
            row: 0,
            appId: "wx7ab585adafd415bc"
          },
        ]
      },
      {
        type: 2,
        col: 1,
        id: 22165,
        imgTag: "买三得四",
        imgTagPosition: 1,
        imgUrl: "http://7xqiu3.com1.z0.glb.clouddn.com/58_icon.jpg",
        link: "",
        moduleId: 8127,
        isAddShoppingCart:1,
        product: {
          activePrice: 1,
          activeType: -1,
          cellId: 22165,
          id: 843,
          pId: 58,
          pImage: "http://7xqiu3.com1.z0.glb.clouddn.com/58_icon.jpg",
          pListImage: "",
          pName: "加州红钻王不送积分",
          pPrice: 1,
          pSuperVipLessPrice: 0.1,
          pSuperVipPrice: 0.95,
        },
        row: 15,
        sellWord: "",
      },
    
    ]},
      {title: '', subtitle: '', imgTitle: '../../assets/images/tab_btn_shopping_cart_2.png', id: 2, cells:[
      {
        type: 1,
        cells: [{
          appId: "wx7ab585adafd415bc",
          col: 2,
          id: 22159,
          imgUrl: "https://img.wgmf.com/wgmall/invite-svip-20220226/img_bg_member_invitation_feb_5.png",
          link: "/pages/startAnswering/startAnswering",
          moduleId: 8126,
          row: 0,
        }],
      },
   
      {
        type: 2,
          appId: "wx7ab585adafd415bc",
          col: 2,
          id: 22159,
          imgUrl: "https://img.wgmf.com/wgmall/invite-svip-20220226/img_bg_member_invitation_feb_3.png?imageslim",
          link: "/pages/startAnswering/startAnswering",
          moduleId: 8126,
          row: 0,
  
      },
      {
        type: 1,
        cells: [{
          appId: "wx7ab585adafd415bc",
          col: 2,
          id: 22159,
          imgUrl: "https://img.wgmf.com/wgmall/invite-svip-20220226/img_bg_member_invitation_feb_6.png?imageslim",
         
          link: "/pages/startAnswering/startAnswering",
          moduleId: 8126,
          row: 0,
        }]
      },
      {
        type: 1,
        cells: [{
          appId: "wx7ab585adafd415bc",
          col: 2,
          id: 22159,
          imgUrl: "https://img.wgmf.com/wgmall/invite-svip-20220226/img_bg_member_invitation_feb_1.png",
          link: "/pages/startAnswering/startAnswering",
          moduleId: 8126,
          row: 0,
        }]
      },
      {
        type: 2,
      
          appId: "wx7ab585adafd415bc",
          col: 2,
          id: 22159,
          imgUrl: "https://img.wgmf.com/wgmall/invite-svip-20220226/img_bg_member_invitation_feb_2_02.png",
          link: "/pages/startAnswering/startAnswering",
          moduleId: 8126,
          row: 0,
       
      },
      {
        type: 1,
        cells: [{
          appId: "wx7ab585adafd415bc",
          col: 2,
          id: 22159,
          imgUrl: "https://img.wgmf.com/wgmall/invite-svip-20220226/img_bg_member_invitation_feb_1.png",
          link: "/pages/startAnswering/startAnswering",
          moduleId: 8126,
          row: 0,
        } ]
    }]},
      {title: '会员专区', subtitle: '专属特惠', imgTitle: '', id:3 , cells: [{
            type: 1,
            cells: [{
                appId: "wx7ab585adafd415bc",
                col: 2,
                id: 22159,
                imgUrl: "https://img.wgmf.com/wgmall/invite-svip-20220226/img_bg_member_invitation_feb_5.png",
                link: "/pages/startAnswering/startAnswering",
                moduleId: 8126,
                row: 0,
              },
              {
                id: 22158,
                moduleId: 8126,
                link: "/pages/home/home",
                imgUrl: "https://img.wgmf.com/wgmall/invite-svip-20220226/img_bg_member_invitation_feb_1.png?imageslim",
                col: 0,
                moduleId: 8126,
                row: 0,
                appId: "wx7ab585adafd415bc"
              },
            ]
          },
          {
            type: 1,
            cells: [{
              appId: "wx7ab585adafd415bc",
              col: 2,
              id: 22159,
              imgUrl: "https://img.wgmf.com/wgmall/invite-svip-20220226/img_bg_member_invitation_feb_5.png",
              link: "/pages/startAnswering/startAnswering",
              moduleId: 8126,
              row: 0,
            }],
          },
          {
            type: 2,
              appId: "wx7ab585adafd415bc",
              col: 2,
              id: 22159,
              imgUrl: "https://img.wgmf.com/wgmall/invite-svip-20220226/img_bg_member_invitation_feb_3.png?imageslim",
              link: "/pages/startAnswering/startAnswering",
              moduleId: 8126,
              row: 0,
      
          },
          {
            type: 2,
              appId: "wx7ab585adafd415bc",
              col: 2,
              id: 22159,
              imgUrl: "https://img.wgmf.com/wgmall/invite-svip-20220226/img_bg_member_invitation_feb_3.png?imageslim",
              link: "/pages/startAnswering/startAnswering",
              moduleId: 8126,
              row: 0,
      
          },
          {
            type: 1,
            cells: [{
              appId: "wx7ab585adafd415bc",
              col: 2,
              id: 22159,
              imgUrl: "https://img.wgmf.com/wgmall/invite-svip-20220226/img_bg_member_invitation_feb_6.png?imageslim",
             
              link: "/pages/startAnswering/startAnswering",
              moduleId: 8126,
              row: 0,
            }]
          },
          {
            type: 1,
            cells: [{
              appId: "wx7ab585adafd415bc",
              col: 2,
              id: 22159,
              imgUrl: "https://img.wgmf.com/wgmall/invite-svip-20220226/img_bg_member_invitation_feb_1.png",
              link: "/pages/startAnswering/startAnswering",
              moduleId: 8126,
              row: 0,
            }]
          },
          {
            type: 2,
          
              appId: "wx7ab585adafd415bc",
              col: 2,
              id: 22159,
              imgUrl: "https://img.wgmf.com/wgmall/invite-svip-20220226/img_bg_member_invitation_feb_2_02.png",
              link: "/pages/startAnswering/startAnswering",
              moduleId: 8126,
              row: 0,
           
          },
          {
            type: 1,
            cells: [{
              appId: "wx7ab585adafd415bc",
              col: 2,
              id: 22159,
              imgUrl: "https://img.wgmf.com/wgmall/invite-svip-20220226/img_bg_member_invitation_feb_1.png",
              link: "/pages/startAnswering/startAnswering",
              moduleId: 8126,
              row: 0,
            } ]
        }],},
      {title: '买三得四', subtitle: '超值特惠', imgTitle: '', id: 4, cells:[]},
      {title: '黑色营养', subtitle: '超值特惠', imgTitle: '', id: 5, cells:[]},
      {title: 'rtrtrt', subtitle: 'werghjkui8', imgTitle: '', id: 6, cells:[]},
    ],
    recommendIndex: 0,
    sticky: false, //瀑布流是否使用粘性布局
    recommendTop: 0,
    offset: 0, //导航栏高度
    recommendHeight: 1000, //瀑布流可视区域最小高度
    proportion: 0, //px和rpx比例
    pageData1: {},
    tickerList: [], //秒杀倒计时
    canIUseGetUserProfile: false,
  },
  methods: {
    // changeOnReachBottom(val){
    //   this.triggerEvent('changeOnReachBottom', val)
    // },
    linkToOtherPage(url, query, cellId) {
      api.modules.getActivityPageId(url).then(r => {
        if (r.id) {
          wx.navigateTo({
            url: '/pages/ActivityPage/ActivityPage?id=' + r.id + '&unit_id=' + cellId + '&' + query 
          })
        }
      })
    },
    isOnload(){
      this.triggerEvent('isOnloads')
    },
    linkToPage(e) {
      let obj = e.currentTarget.dataset.item
      obj.link = obj.link.toString()
      WGTRACK.logCustomEvent('homeLinkToPage',obj.id + "," + obj.imgUrl)
      // 传递给父组件，用以判断点击的模块，添加埋点等
      this.triggerEvent('myevent', obj)
      if (!obj.appId && (obj.link.indexOf('modules/FanCommunity/pages/WgFans/WgFans') != -1 || obj.link.indexOf('/pages/ProductIndex/ProductIndex') != -1 || obj.link.indexOf('/pages/MyCart/MyCart') != -1 || obj.link.indexOf('/pages/PersonalCenter/PersonalCenter') != -1 || obj.link.indexOf('/pages/Home/Home') != -1)) { // 首页 + 超级会员
        let query = obj.link.split('?')
        if (query.length > 1) {
          let queryObj = {}
          let queryArr = query[1].split('&')
          for (let i = 0; i < queryArr.length; i++) {
            let tmp = queryArr[i].split('=')
            queryObj[tmp[0]] = tmp[1]
          }
          queryObj['unit_id'] = obj.id
          app.globalData.switchTabQueryObj = queryObj
        }
        wx.switchTab({
          url: query[0]
        })
      } else if (obj.link == 'top' || obj.link == 'Top' || obj.link == 'TOP') { // 回到顶部
        wx.pageScrollTo({
          scrollTop: 0,
          duration: 300
        })
      } else if (obj.link == 'liveInfo' || obj.link == 'LiveInfo' || obj.link == 'LIVEINFO') { // 跳转到直播间
        //跳转直播间
        if(this.data.goLiveInfo == true) {
          wx.openChannelsLive({
            finderUserName: 'sphmTN8rmxUL5cq',
            feedId: this.data.getChannelsLiveInfoRes.feedId,
            nonceId: this.data.getChannelsLiveInfoRes.nonceId,
            success(_res) {
            },
            fail(_res) {
              console.log('跳转视频号失败',_res)
            }
          })
        }
      }  else if (obj.link == 'liveNoticeInfo' || obj.link == 'LiveNoticeInfo' || obj.link == 'LIVENOTICEINFO') { // 预约直播
        //预约直播
        wx.getChannelsLiveNoticeInfo({
          finderUserName: 'sphmTN8rmxUL5cq',
          success(res) {
            wx.reserveChannelsLive({
              noticeId: res.noticeId,
              success(_res) {
              },
              fail(_res) {
                wx.showToast({
                  icon: 'none',
                  title: '跳转直播预约失败',
                  duration: 1500
                })
              }
            })
          },
          fail(_res) {
            wx.showToast({
              icon: 'none',
              title: '当前暂无可预约的直播',
              duration: 1500
            })
          }
        })
      } else if (obj.appId && obj.link) { // 优惠券 & 二级页面 & 小程序页面
        if (obj.appId == '优惠券') {
          let cusId = wx.getStorageSync('cusId')
          if (cusId) {
            api.coupons.detail(obj.link).then(r => {
              if (r.needPoints == 0) {
                api.coupons.receive(cusId, obj.link, r.userTkcpAmount)
              } else {
                wx.showModal({
                  title: '提示',
                  content: '领一张券需扣您' + r.needPoints + '积分，您确定要领吗?',
                  success(res) {
                    if (res.confirm) {
                      api.coupons.receive(cusId, obj.link, r.userTkcpAmount)
                    }
                  }
                })
              }
            })
          } else {
            this.setData({
              hideLoginPanel: false
            })
          }
        } else if (obj.appId == '二级页面') { // H5二级页面
          wx.navigateTo({
            url: '/pages/ActivityPage/ActivityPage?id=' + obj.link + '&unit_id=' + obj.id
          })
        } else if (obj.appId == 'miniappPage') { // 小程序二级页面
          wx.navigateTo({
            url: `/pages/ActivePage/ActivePage?id=${obj.link}&unit_id=${obj.id}` 
          })
        } else {
          wx.navigateToMiniProgram({
            appId: obj.appId,
            path: obj.link,
            extraData: {
              foo: 'bar'
            },
            envVersion: 'release',
            success(res) { }
          })
          console.log('打开其他小程序', obj)
        }
      } else if (obj.link.indexOf('.wgmf.com/wechat-html/html/shop/product/') != -1) { // 二级页面
        let arr = obj.link.split('?')
        let a = arr[0]
        let b = a.split('/')
        let url = b[b.length - 1]
        let query = arr.length > 1 ? arr[1] : ''
        this.linkToOtherPage(url, query, obj.id)
      } else if (obj.link) { // 其他页面
        if(obj.link.indexOf('?') === -1) {
          obj.link += `?unit_id=${obj.id}`
        } else {
          obj.link += `&unit_id=${obj.id}`
        }
        wx.navigateTo({
          url: obj.link
        })
      }
    },
    closeModal() {
      this.setData({
        hideLoginPanel: true
      })
    },
    getPhoneNumber(e) {
      let _self = this
      if (e.detail.errMsg === 'getPhoneNumber:ok') {
        LOADING.show({
          title: '登录中...'
        })
        WGAUTH.getPhoneNumber(e).then(res => {
          LOADING.hide()
          this.setData({
            hideLoginPanel: true
          })
          wx.showToast({
            icon: 'none',
            title: '登录成功！',
            duration: 1500
          })
        })
      }
    },
    toDetail(e) {
      let obj = e.currentTarget.dataset.item
      WGTRACK.logCustomEvent('homeLinkToDetail', obj.id + "," + obj.imgUrl)
      let pId = e.currentTarget.dataset.pid
      if (pId) {
        wx.navigateTo({
          url: `/pages/ProductDetail/ProductDetail?pId=${pId}&unit_id=${e.currentTarget.dataset.item.id}` 
        })
      }
    },
    getChannelsLiveInfo(){
      let that = this
      wx.getChannelsLiveInfo({
        finderUserName: 'sphmTN8rmxUL5cq',
        success(res) {
          if(res.status == 2) {
            //直播中
            that.setData({
              goLiveInfo: true,
              getChannelsLiveInfoRes: res
            })
            
          } else if (res.status == 3) {
            console.log('直播已结束', res)
            //直播已结束
            that.setData({
              goLiveInfo: true,
              getChannelsLiveInfoRes: res
            })
          } else {
            wx.showToast({
              icon: 'none',
              title: '当前暂无直播',
              duration: 1500
            })
          }
        },
        fail(res) {
          console.log('视频号直播信息获取失败',res)
        }
      })
    },
    initImgBorder() {
      /** 
       * 外框图片id： 1普通产品_外框，2限时折扣_外框，3秒杀_外框，4预售_外框，5团购_外框,6分期发货_外框,7优惠券_外框,8阶梯价_外框,9抽奖_外框,10砍价_外框，11新品试用_外框  */
      /** cell-product activeType：  -1普通产品，0限时折扣，1秒杀，2预售，3团购，4分期发货，5购买优惠券，6阶梯价，7抽奖，8砍价，9新品 */
      api.modules.imgBorder().then(res => {
        console.log('api.modules.imgBorder----------------', res)
        this.setData({
          borderImgs: res
        })
      })
    },
    filterImgBorder(val) {
      /** 1普通产品_外框，2限时折扣_外框，3秒杀_外框，4预售_外框，5团购_外框,6分期发货_外框,7优惠券_外框,8阶梯价_外框,9抽奖_外框,10砍价_外框，11新品试用_外框  */
      /** -1普通产品，0限时折扣，1秒杀，2预售，3团购，4分期发货，5购买优惠券，6阶梯价，7抽奖，8砍价，9新品 */
      val = parseInt(val)
      console.log(this.data.borderImgs[val + 1])
      if(this.data.borderImgs && this.data.borderImgs.length > val + 1) {
        return this.data.borderImgs[val + 1]
      }
      return {
        sUrl: '',
        lUrl: ''
      }
    },
    // 更改页签
    changeTab(e) {
      let index = e.currentTarget.dataset.index;
      this.setData({
        recommendIndex: index
      })
      // 调整滚动位置
      // 创建节点选择器
      let query = this.createSelectorQuery();
      //  选择ID
      let that = this;
      if(this.data.sticky) { // 如果固定，内部滚动  
        query.selectViewport().scrollOffset(function(res){
          that.createSelectorQuery().select("#recommend").boundingClientRect(function(rect){
            if(rect && rect.top <= that.data.offset){ // 如果吸顶，内部滚动 
              console.log(res.scrollTop - that.data.offset + rect.top, '吸顶，滚动')
              wx.pageScrollTo({
                sticky: true,
                duration: 0,
                scrollTop: res.scrollTop - that.data.offset + rect.top
              })
            }else {
              console.log(res.scrollTop - that.data.offset + rect.top, '不吸顶，不滚动')
              that.setData({
                sticky: false,
                recommendTop: 0
              })
            }
          }).exec()
        }).exec()
      }
    },
    changePageData(){
      if(!this.data.pageData) return
      let data = JSON.parse(JSON.stringify(this.data.pageData))
      let idx = data.modules.findIndex(item=> {return item.moduleType == 2})
      let now = new Date().getTime()
      if(idx!=-1){
        let index = 0
        data.modules[idx].cells.map(i=>{
          if(i[0].type == 15){
            i[0].endTime = i[0].buyNowList ? i[0].buyNowList.reduce((min, time)=>{return min < time.endTime? min : time.endTime;},i[0].buyNowList[0].endTime) : 0
            let yu = i[0].endTime - now,
            h = 0,
            m = 0,
            s = 0,
            self = this;
            const ticker = setInterval(function () {
              yu = yu - 1000
              if (yu <= 0) {
                i[0].isHide = true
                clearInterval(self.data.tickerList[index])
              } else {
                h = parseInt(yu / 3600000)
                m = parseInt((yu - h * 3600000) / 60000)
                s = parseInt((yu - h * 3600000 - m * 60000) / 1000)
                i[0].time =  {
                  h: h,
                  m: m,
                  s: s
                }
                i[0].isHide = false
              }
              self.setData({
                pageData1: data
              })
            }, 1000)
            let tickerList = this.data.tickerList;
            tickerList[index] = ticker;
            index++
            this.setData({
              tickerList: tickerList,
            })
          }
        })
      }
      this.setData({
        pageData1: data
      })
      console.log(this.data.pageData1, 'pageData')
    }
  },
  observers:{
    pageScroll(val){
      // 创建节点选择器
      let query = this.createSelectorQuery();
      //  选择ID
      let that = this;
      query.select("#recommend").boundingClientRect(function(rect){
        if(rect && rect.top <= that.data.offset){
          that.setData({
            sticky: true,
            // recommendTop: that.data.offset
          })
        }else {
          that.setData({
            sticky: false,
            // recommendTop: 0
          })
        }
      }).exec()
    },
    pageData(val){
      console.log(val)
      this.changePageData()
    }
  },
  ready() { 
    let systemInfo = wx.getSystemInfoSync()
    if (wx.getUserProfile) {
      this.setData({
        canIUseGetUserProfile: true
      })
    }
    // if (systemInfo.model.indexOf('iPhone X') != -1) {
    //   console.log('iPhone X手机')
    //   that.setData({
    //     offset: 82,
    //     // menuBtnInfo: { top: 50, height: 32 }
    //   })
    //   return
    // } else if(systemInfo.system.indexOf('iOS') != -1) {
    //   console.log(systemInfo.model + '手机', '苹果手机')
    //   that.setData({
    //     offset: 58,
    //     // menuBtnInfo: { top: 26, height: 32 }
    //   })
    //   return
    // } else {
    //   console.log(systemInfo.model + '手机', '安卓手机')
    //   that.setData({
    //     offset: 60,
    //     // menuBtnInfo: { top: 28, height: 32 }
    //   })
    // }
    this.setData({
      offset: systemInfo.statusBarHeight + 10 + 36,
      proportion: 750/systemInfo.windowWidth,
      recommendHeight: (systemInfo.windowHeight - 10 - 36) * 750/systemInfo.windowWidth  - 84, 
      recommendTop: systemInfo.statusBarHeight + 10 + 36,
    })
    this.initImgBorder()
    this.getChannelsLiveInfo() 
  },
  pageLifetimes: {
    hide: function() {
      for(let i=0; i< this.data.tickerList.length; i++){
        clearInterval(this.data.tickerList[i])
      }
      this.setData({
        tickerList: [],
      })
    },
  },
})