import { WGENV } from "../../wgUtils/index";

Component({
  data: {
    showTip: false,
  },
  methods: {
    closeModal() {
      this.setData({
        showTip: false
      })
    }
  },
  ready() {
    let currentVersion = wx.getStorageSync('version')  // 当前版本号
    // 谷粉说3.2.1版本上线，需要提示谷粉说新版发布
    if(currentVersion) {
      // compareVersion('1.11.0', '1.9.9') // => 1    // 1 表示 1.11.0 比 1.9.9 要新
      // compareVersion('1.11.0', '1.11.0') // => 0   // 0 表示 1.11.0 和 1.9.9 是同一个版本
      // compareVersion('1.11.0', '1.99.0') // => -1  // -1 表示 1.11.0 比 1.99.0 要老
      this.setData({
        showTip: false
      })
    } else {
      this.setData({
        showTip: true
      })
      wx.setStorageSync('version', WGENV.version)
    }
  }
})