//Component Object
Component({
  properties: {
    ladder: {
      type: Object,
      value: null
    },
    pId: {
      type: Number
    }
  },
  data: {
    time: 0,
    ladderArr: []
  },
  methods: {
    initData(ladder) {
      let sku = ladder.ladderPriceSku.ladderPriceSkuLines
      let ladderArr = sku
      let time = 0
      sku.sort(function(a,b) {
        return a.promotionDate - b.promotionDate
      })
      for(let i=0;i<sku.length;i++) {
        let date = new Date(sku[i].promotionDate)
        ladderArr[i]['date'] = `${date.getMonth()+1<10?'0'+(date.getMonth()+1):date.getMonth()+1}月${date.getDate() < 10? '0'+date.getDate():date.getDate()}日`
        ladderArr[i]['price'] = sku[i].price.toFixed(2)
        if(sku[i].isOriginalPrice == 1) {
          let now = new Date()
          let cha = (sku[i].promotionDate - now)/(1000*60*60*24)
          time = cha > parseInt(cha)? parseInt(cha)+1: parseInt(cha)
        }
      }
      this.setData({
        time: time,
        ladderArr: ladderArr
      })
    }
  },
  observers: {
    "ladder"(nv) {
      this.initData(nv)
    }
  },
  created: function(){

  },
  attached: function(){

  },
  ready: function(){

  },
  moved: function(){

  },
  detached: function(){

  },
});