
import { FILTER } from '../../../utils/index'

Component({
  properties: {
    products:{
      type: Array,
      value: [],
      actType: Number
    },
  },
  data: {
    price: '',
    intergalPrice: ''
  },
  observers: {
    "products"(newVal) {
      this.initData(newVal)
    }
  },
  methods: {
    initData(products) {
      if(products.length > 0) {
        let tmp = products
        let parr = [],
            iarr = [],
            isRedeem = false
        for(let i=0,len=tmp.length;i<len;i++) {
          if(tmp[i].enable === 0) {
            parr.push(tmp[i].price)
            iarr.push(tmp[i].redeemPrice)
            if(tmp[i].isRedeem === 1) {
              isRedeem = true
            }
          }
        }
        this.setData({
          price: FILTER.getPriceRange(parr),
          intergalPrice: FILTER.getPriceRange(iarr),
          isRedeem: isRedeem
        })
      }
    }
  }
});