Component({
  properties: {
    banner: {
      type: Array
    },
    imgBorder: {
      type: String
    },
    whiteBannerImg: {
      type: String
    }
  },
  data: {
    imgs: null
  },
  observers: {
    "banner"() {
      this.initImgs()
    },
  },
  methods: {
    previewImg(e) {
      if(this.data.imgs) {
        wx.previewImage({
          current: e.currentTarget.dataset.url, // 当前显示图片的http链接
          urls: [...this.data.imgs]
        })
      }
    },
    initImgs() {
      let banner = this.properties.banner
      let arr = []
      for(let i=0,len=banner.length;i<len;i++) {
        if(typeof banner[i] == 'string') {
          arr.push(banner[i])
        } else {
          arr.push(banner[i].imageUrl)
        }
      }
      this.setData({
        imgs: arr
      })
    }
  }
});