import { REQUEST, API, TOAST, FILTER } from '../../../utils/index.js'
Component({
  data: {
    savedMoney: 0
  },
  properties: {
    userinfo: {
      type: Object
    }
  },
  methods: {
    getEconomicFee() {
      let userinfo = this.data.userinfo
      let _self = this
      return new Promise((resolve, reject) => {
        if (userinfo) {
          let url = API.getEconomicFee + '?customerId=' + wx.getStorageSync('cusId') + '&overdueStatus=' + (userinfo.vipCusStatus == 1 ? 1 : 0) + '&svipDate=' + userinfo.vipBuyTime
          REQUEST.get(url).then(res => {
            const { status, data } = res.data
            _self.setData({
              'savedMoney': (userinfo.vipCusStatus != '1' && userinfo.yearConsMoney == '0') ? 0 : FILTER.currency(data.economicFee * 2 + 99)
            })
            resolve()
          })
        }
      })
    },
    close() {
      this.triggerEvent('toggleRank', {})
    }
  },
  attached() {
  },
  ready () {
    this.getEconomicFee()
  }
})
