import { REQUEST, API, TOAST, FILTER } from '../../../utils/index.js'
import wgApi from '../../../api/index'
Component({
  data: {
  },
  properties: {
    showBrithday:{
      type: Boolean,
      default: false
    }
  },
  methods: {
    linkToCoupon() {
      wx.navigateTo({
        url: '/pages/TicketsAccount/TicketsAccount'
      })
    },
    checkBrithday(){
      let infoBrithday =wx.getStorageSync("infoBrithday");
      let _this = this
      if(infoBrithday == true) {
        _this.triggerEvent('closeBrithday', {})
      } else {
        let cusId = wx.getStorageSync("cusId");
        if(cusId) {
          wgApi.user.myBirth(cusId).then(res => {
            if(res && res.doPopup == 0) {
              _this.setData({
                showBrithday :true
              })
              wx.setStorageSync("infoBrithday",true);
            } else{
              _this.triggerEvent('closeBrithday', {})
            }
          })
        }
      }
    },
    close() {
      this.triggerEvent('closeBrithday', {})
    }
  },
  attached() {
  },
  ready () {
    this.checkBrithday()
  }
})
