// components/SuperMember/SVipDetail/SVipDetail.js
Component({
  /**
   * 组件的属性列表
   */
  properties: {
    userInfo: {
      type: Object,
      observer: '_sviphandle'
    },
    saveMoney: Object
  },

  /**
   * 组件的初始数据
   */
  data: {
    labelText1: '',
    labelText2: '开通超级会员预计节省',
    labelText3: '（数据来自上一年超级会员，权益使用平均值）',
  },

  /**
   * 组件的方法列表
   */
  methods: {
    close() {
      this.triggerEvent('close', {})
    },
    _sviphandle(newVal, oldVal) {
      if (Reflect.has(newVal, 'vipCusStatus')) {
        let r
        if (newVal.vipCusStatus == 1 && newVal.vipBeginTime) {
          r = newVal.vipBeginTime.split('-')
        }
        if(newVal.vipCusStatus == 1 && r) {
          this.setData({
            labelText1: `自${r[0]}年${r[1]}月${r[2]}日成为超级会员`,
            labelText2: '至今已为您节省了',
            labelText3: ''
          })
        }
      }
    },
  }
})