import { WGCOMMON } from '../../../wgUtils/index'

Component({
  properties: {
    userInfo: Object,
    saveMoney: Object
  },
  data: {
    isAgree: false
  },
  methods: {
    closePopup() {
      this.triggerEvent('close', {})
    },
    toggleAgreeBuyRule() { // 切换同意购买规则按钮
      this.setData({ isAgree: !this.data.isAgree })
    },
    buySvip() { // 点击购买超会
      if(!this.data.isAgree) {
        WGCOMMON.toast('请先阅读并同意《五谷磨房超级会员服务协议》', 2500)
        return false
      }
      wx.navigateTo({
        url: `/pages/PayOrder/PayOrder?isSvip=1`
      })
    },
  },
})