// components/EasySkeleton/EasySkeleton.js
Component({
  /**
   * 组件的属性列表
   */
  properties: {

  },

  /**
   * 组件的初始数据
   */
  data: {
    subviewsWidth: []
  },

  /**
   * 组件的方法列表
   */
  methods: {

  },
  lifetimes: {
    attached: function () {
      let that = this
      wx.getSystemInfo({
        success (res) {
          //100 代表标题栏高度
          const windowHeight = res.windowHeight - 100
          const subviewsNum = Math.ceil(windowHeight / 30)
          const subviewsWidth = []
          for (let index = 0; index < subviewsNum; index++) {
            const subviewWidth = Math.floor(Math.random()*(150) + 150);
            subviewsWidth.push(subviewWidth)
          }
          that.setData({subviewsWidth})
        }
      })
    }
  }
})
