Component({
  /**
   * 组件的属性列表
   */
  properties: {},

  /**
   * 组件的初始数据
   */
  data: {
    praiseViews: [],
    praiseInterval: null,
  },

  /**
   * 组件的方法列表
   */
  methods: {
    addPraise() {
      const b = Math.floor(Math.random() * 13) + 1;
      const bl = Math.floor(Math.random() * 13) + 1; // bl1~bl13
      const className = `bubble b${b} bl${bl}`;
      let praiseViews = this.data.praiseViews;
      praiseViews.push(className);
      this.setData({ praiseViews });
    },
  },
  pageLifetimes: {
    show: function () {
      if (this.data.praiseInterval) return;
      this.addPraise();
      const praiseInterval = setInterval(() => {
        this.addPraise();
      }, 400);
      this.setData({ praiseInterval });
    },
    hide: function () {
      if (this.data.praiseInterval) {
        clearInterval(this.data.praiseInterval);
      }
      const praiseViews = [],
        praiseInterval = null;
      this.setData({ praiseViews, praiseInterval });
    },
  },
  lifetimes: {
    attached: function () {
      this.addPraise();
      const praiseInterval = setInterval(() => {
        this.addPraise();
      }, 400);
      this.setData({ praiseInterval });
    },
  },
});
