import {
  Page, WGCOMMON, WGAUTH, 
  WGTRACK,WGFORMAT
} from '../../../../wgUtils/index'
import api from '../../api/index'
import { REQUEST, API } from '../../../../utils/index';
const app = getApp()
let ticker1 = null // 页面的定时器-离开页面记得清除定时器
let ticker2 = null
let timer = null
Page({
  /**
   * 页面的初始数据
   */
  data: {
    scrollImg: [
      'https://img.wgmf.com/img_hytzjh_prize_20.png',
      'https://img.wgmf.com/img_hytzjh_prize_30.png',
      'https://img.wgmf.com/img_hytzjh_prize_100.png',
      'https://img.wgmf.com/img_hytzjh_prize_200.png',
      'https://img.wgmf.com/img_hytzjh_prize_20.png',
      'https://img.wgmf.com/img_hytzjh_prize_30.png',
      'https://img.wgmf.com/img_hytzjh_prize_100.png',
      'https://img.wgmf.com/img_hytzjh_prize_200.png',
      'https://img.wgmf.com/img_hytzjh_prize_20.png',
      'https://img.wgmf.com/img_hytzjh_prize_30.png',
      'https://img.wgmf.com/img_hytzjh_prize_20.png',
      'https://img.wgmf.com/img_hytzjh_prize_30.png',
      'https://img.wgmf.com/img_hytzjh_prize_100.png',
      'https://img.wgmf.com/img_hytzjh_prize_200.png',], 
    animationData1: null, // 绑定的动画效果
    animationData2: null, // 绑定的动画效果
    animationData3: null, // 绑定的动画效果
    couponDetail:null,
    giftFee:'?00',
    rewardFee:'?00',
    completed: 0,
    animationData4:null,// 绑定的动画效果
    showSuccessful:false,
    h:'',
    m:'',
    s:'',
    infoRule: false,
    swiperData: [],
    activityEnd: false, // 活动已经结束
    countTick: false, // 报名活动倒计时是否显示：倒计时截止到18日24点，6月17日0点开始倒计时
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    let cusId = wx.getStorageSync('cusId')
    if(cusId) {
      this.init()
      this.countdown()
    } else { // 还未登录需要跳转至授权页面
      wx.navigateTo({
        url: '/pages/AuthPage/AuthPage'
      })
    }
  },
  // 开始滚动
  startScroll () {
    // 创建一个动画实例1
    let animation1 = wx.createAnimation({
      duration: 5000,
      timingFunction: 'ease'
    })
    // 获取元素总高度
    let height1 =  (this.data.scrollImg.length-1) * 240
    // 向上移动
    animation1.translateY(-height1 + 'rpx').step()

    // 创建一个动画实例2
    let animation2 = wx.createAnimation({
      duration: 5000,
      timingFunction: 'ease'
    })
    // 获取元素总高度
    let height2 =  (this.data.scrollImg.length-2) * 240
    // 向上移动
    animation2.translateY(-height2 + 'rpx').step()

    // 创建一个动画实例3
    let animation3 = wx.createAnimation({
      duration: 5000,
      timingFunction: 'ease'
    })
    // 获取元素总高度
    let height3 =  (this.data.scrollImg.length-3) * 240
    // 向上移动
    animation3.translateY(-height3 + 'rpx').step()

    // 将动画效果赋值
    this.setData({
      animationData1: animation1.export(),
      animationData2: animation2.export(),
      animationData3: animation3.export()
    })
  },
  //报名人数数据结构处理
  checkPeoson(fictitiousNumber){
    let personNumber = fictitiousNumber +'' || '100000000';
    personNumber = personNumber.split('');
    this.setData({
      personNumber: personNumber
    })
  }, 
  init(){
    let that = this
    WGCOMMON.showLoading()
    api.getCouponDetail().then(res => { // 获取会员挑战计划的活动详细信息
      WGCOMMON.hideLoading()
      /**
       * enterStatus (integer, optional): 报名状态0未报名1已报名 ,
       */
      let now = new Date()
      /**
       * 报名时间 6.9 - 6.18
       * 领奖时间 6.19 - 6.25
       * 活动结束 6.26
       */
      /**
       * 我已经报名并且当前时间段处于报名期间：跳转至我的挑战详情页
       */
      /*
      *@todo
      */ 
      // if(res.enterStatus == 1 && WGFORMAT.targetDateInDateBetwen('2021-06-08 00:00:00', '2021-06-09 23:59:59', now)) { // 测试 // 已经报名跳转到我的挑战详情页(报名期间)
      if(res.enterStatus == 1 && WGFORMAT.targetDateInDateBetwen('2021-06-08 00:00:00', '2021-06-18 23:59:59', now)) { // 正式 // 已经报名跳转到我的挑战详情页(报名期间)
        app.globalData.challenge = res
        wx.redirectTo({
          url: '/modules/MemberPlan/pages/MyPlan/MyPlan'
        })
        return
      } 
      /**
       * 我已经报名并且当前时间段处于领奖期间：根据挑战结果跳转至不同的页面
       */
      // if(res.enterStatus == 1 &&  WGFORMAT.targetDateInDateBetwen('2021-06-09 00:00:00', '2021-06-09 11:20:59', now)) { // 测试
      if(res.enterStatus == 1 &&  WGFORMAT.targetDateInDateBetwen('2021-06-19 00:00:00', '2021-06-25 23:59:59', now)) { // 正式
        this.checkChallengeResult()
        return
      }
      /**
       * 我没有报名 并且活动已经结束 & 我已经报名并且活动时间结束
       */
      // if((res.enterStatus == 0 && WGFORMAT.targetDateInDateBetwen('2021-06-09 00:00:00', '2121-06-26 00:00:00', now)) || (res.enterStatus == 1 && WGFORMAT.targetDateInDateBetwen('2021-06-09 00:00:00', '2121-06-26 00:00:00', now))) { // 测试
      if((res.enterStatus == 0 && WGFORMAT.targetDateInDateBetwen('2021-06-19 00:00:00', '2121-06-26 00:00:00', now)) || (res.enterStatus == 1 && WGFORMAT.targetDateInDateBetwen('2021-06-26 00:00:00', '2121-06-26 00:00:00', now))) { // 正式
        this.setData({
          activityEnd: true
        })
        return
      }
      let scrollImg = []
      for (let index = 0; index < 6; index++) {
        scrollImg.push(res.couponUrl1)
        scrollImg.push(res.couponUrl2)
        scrollImg.push(res.couponUrl3)
      }
      that.checkPeoson(res.fictitiousNumber)
      that.setGiftData(res)
      that.setData({
        couponDetail: res,
        scrollImg: scrollImg
      })
      this.startScroll()
      this.data.challengeId = res.challengeId
      this.initScroll(res.challengeId, 1)
    })
  },
  initScroll(challengeId, page) {
    api.getSignUpMsg(challengeId).then(res => { // 获取已报名的手机list
      // console.error(res)
      // res.push(...['1368 **** 1850', '323 **** 32323', '4545 **** 545'])
      this.setData({
        swiperData: res
      })
    })
  },
  setGiftData(res){
    let that=this
    ticker1 = setTimeout(function() {
      that.setData({
        rewardFee:res.rewardFee,
        giftFee:res.giftFee
      })
      // that.getOrderFee()
      //首页暂时不需要动画效果
    },5000)
  },
  getOrderFee(){
    api.getOrderFee().then(res => { // 获取用户活动期间的累计消费金额
      var animation = wx.createAnimation({
        duration: 2000,
        timingFunction: 'ease',
        delay: 0
      });
      var animation2 = wx.createAnimation({
        duration: 0,
        timingFunction: 'ease',
        delay: 0
      });
      let moveLength = (res) / (this.data.couponDetail.rewardFee) * 320
      if(moveLength<=0) {
        moveLength = 0
      }
      this.setData({
        completed: moveLength
        // completed: '100'
      })
      this.animation = animation
      var next = true;

      // 无限循环动画
      ticker2 = setInterval(function(){
        if(next){
          // 你要执行动画链
           animation.translateX(moveLength + 'rpx').step()
          // ----------------------- 
          next = !next;
          this.setData({
            animationData4: animation.export()
          })
        }else{
          // 你要执行动画链
          animation2.translate(0, 0).step()
          // -----------------------
          next = !next;
          this.setData({
            animationData4: animation2.export()
          })
        }
        // 导出动画
     }.bind(this),2000)
    })
  },
  infoRule(){
    let infoRule = !this.data.infoRule;
    this.setData({
      infoRule: infoRule
    })
  },
  countdown() {
    var now = new Date().getTime()
    var time = new Date('2021/06/18 00:00:00').getTime();
    var startTime = new Date('2021/06/17 00:00:00').getTime();  // 发版前记得将此行复原
    // var startTime = new Date('2021/06/08 00:00:00').getTime();  // 发版前记得将此行注释掉
    if(now > startTime) {
      var that = this;
      timer = setInterval(function () {
        var leftTime = time - new Date().getTime();
        //倒计时结束
        if (leftTime <= 1) {
            clearInterval(timer);
            that.setData({
              d: '00',
              h: '00',
              m: '00',
              s: '00',
              timer: null
            })
            return;
        }
  
        var leftSecond = parseInt(leftTime / 1000);
        var Day = Math.floor(leftSecond / (60 * 60 * 24)); //天数
        var Hour = Math.floor((leftSecond - Day * 24 * 60 * 60) / 3600); //小时
        var Hour2 = Math.floor((leftSecond - Day * 24 * 60 * 60) / 3600) +( Day * 24); //小时
        var Minute = Math.floor((leftSecond - Day * 24 * 60 * 60 - Hour * 3600) / 60); //分钟
        var Second = Math.floor(leftSecond - Day * 24 * 60 * 60 - Hour * 3600 - Minute * 60); //秒数
        if (Minute >= 0 && Second >= 0) {
            that.setData({
              d: Day < 10 ? '0' + Day : Day,
              h: Hour2 < 10 ? '0' + Hour2 : Hour2,
              m: Minute < 10 ? '0' + Minute : Minute,
              s: Second < 10 ? '0' + Second : Second,
            })
        }
      }, 1000)
      this.setData({
        countTick: true
      })
    } else{
      this.setData({
        countTick: false
      })
    }
  },
  signUp(){
    let challengeId = this.data.couponDetail.challengeId,
        enterGrad = this.data.couponDetail.enterGrad;
    api.signUp(challengeId,enterGrad, wx.getStorageSync('openId')).then(res => { // 点击报名
      if(res) {
        this.setData({
          showSuccessful: true
        })
      }
    })
  },
  goMyPlan(){
    wx.navigateTo({
      url: '/modules/MemberPlan/pages/MyPlan/MyPlan'
    })
  },
  toHome() {
    wx.switchTab({
      url: '/pages/Home/Home'
    })
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },
  checkChallengeResult() {
    api.challengeResult(wx.getStorageSync('cusId')).then(res => {
      if(res.status == -1) { // 挑战失败
        wx.redirectTo({
          url: '/modules/MemberPlan/pages/ChallengeFail/ChallengeFail'
        })
      } else { // 挑战成功
        wx.redirectTo({
          url: '/modules/MemberPlan/pages/ChallengeSuccess/ChallengeSuccess'
        })
      }
    })
  },
  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {
    clearTimeout(ticker1)
    clearInterval(ticker2)
    clearInterval(timer)
  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {
    WGTRACK.logCustomEvent('shareTimeline_challenge')
    return {
      title: '618消费返红包，买越多送越多，最高返60%！！',
      imageUrl: 'https://img.wgmf.com/challenge/img_hytzjh_share.png',
      path: '/modules/MemberPlan/pages/MemberPlan/MemberPlan',
    }
  },
  onShareTimeline() { // 分享朋友圈
    WGTRACK.logCustomEvent('share_challenge')
    return {
      title: '618消费返红包，买越多送越多，最高返60%！！',
      imageUrl: 'https://img.wgmf.com/challenge/img_hytzjh_share.png',
      path: '/modules/MemberPlan/pages/MemberPlan/MemberPlan',
    }
  }
})