import {
  Page, WGCOMMON, WGAUTH, WGFORMAT,WGSUBSCRIBE
} from '../../../../wgUtils/index'
import api from '../../api/index'
import { REQUEST, API, TOAST, LOADING} from '../../../../utils/index';
import env1 from '../../../../utils/env1'
import WGPAY from '../../../../utils/pay'

Page({

  /**
   * 页面的初始数据
   */
  data: {
    bannerArr:['送出的','收到的'],
    storedSendStatus:0,
    sendReceiveMsgShow:false,
    sendReceiveList:[]
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {

  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },
  goUse(){
    wx.switchTab({
      url: '/pages/Home/Home?_campaign=storedCardList' // switchtab不支持带参
    })
  },
  getSendReceiveList(storedSendStatus){
    let that = this;
    api.getSendReceiveList(storedSendStatus).then(res => {
      for(let i=0;i<res.length;i++) {
        res[i].activationDate = WGFORMAT.formatDate(res[i].activationDate,'yyyy-MM-dd hh:mm:ss')
        res[i].createDate = WGFORMAT.formatDate(res[i].createDate,'yyyy-MM-dd hh:mm:ss')
        res[i].endDate= WGFORMAT.formatDate(res[i].endDate,'yyyy-MM-dd hh:mm:ss')
        res[i].sendDate = WGFORMAT.formatDate(res[i].sendDate,'yyyy-MM-dd hh:mm:ss')
      }
      console.log(res)
      that.setData({
        sendReceiveList:res
      })
    })
  },
  check(e){
    let storedSendStatus= e.currentTarget.dataset.id;
    console.log(storedSendStatus)
    this.setData({
      storedSendStatus:storedSendStatus
    })
    storedSendStatus = storedSendStatus - 0 + 1
    this.getSendReceiveList(storedSendStatus)
  },
  sendReceiveMsg(e){
    let item = e.currentTarget.dataset.item;
    console.log(item)
    this.setData({
      sendReceiveMsgShow: true,
      sendReceiveMsg:item
    })
  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    let storedSendStatus= this.data.storedSendStatus;
    storedSendStatus = storedSendStatus - 0 + 1
    this.getSendReceiveList(storedSendStatus)
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  onShareAppMessage: function () {
    return {
      title: '对你的爱都在卡里，记得领啊！',
      imageUrl: 'https://img.wgmf.com/img_shopping_gold_card_share.png?imageslim',
      path: 'modules/ShoppingMoney/pages/Stored/Stored'
    }
  }
})