import {
  Page, WGCOMMON, WGAUTH, WGFORMAT,WGSUBSCRIBE 
} from '../../../../wgUtils/index'
import api from '../../api/index'
import { REQUEST, API, TOAST, } from '../../../../utils/index';
import env1 from '../../../../utils/env1'
import WGPAY from '../../../../utils/pay'

Page({

  /**
   * 页面的初始数据
   */
  data: {
    storedValueCardOrdId:'',
    receiveGwjAccount:{
      receiveStatus:3,//礼品卡状态状态0未支付1未激活2已激活3赠送中4已领取/已送出 ,
    },
    url:'/modules/ShoppingMoney/pages/StoredList/StoredList?checkId=2',
    show: false,
    cusId:wx.getStorageSync('cusId'),
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function(options){
    let storedValueCardOrdId = options.storedValueCardOrdId
    console.log(storedValueCardOrdId)
    this.setData({
      storedValueCardOrdId :storedValueCardOrdId
    })
    let that = this
    console.log(1)
    api.getById(storedValueCardOrdId).then(res => {
      console.log(res)
      that.setData({
        receiveGwjAccount:res
      })
      if(res.customerId == wx.getStorageSync('cusId')) {
        wx.redirectTo({
          url: '/modules/ShoppingMoney/pages/Handsel/Handsel?storedValueCardOrdId='+storedValueCardOrdId
        })
      }
    })
  
  },

  goMyStored(){
    wx.navigateTo({
      url: '/modules/ShoppingMoney/pages/StoredList/StoredList'
    })
  },
  receive(){
    let that = this
    let storedValueCardOrdId = this.data.storedValueCardOrdId
    let data = {
      receiveCusHeadImgUrl: (wx.getStorageSync('avatarUrl') ? wx.getStorageSync('avatarUrl') : 'https://img.wgmf.com/img_default.png'),
      receiveCusName: wx.getStorageSync('nickName')?wx.getStorageSync('nickName'):'匿名',
      receiveCustomerId: wx.getStorageSync('cusId'),
      receiveOpenId:  wx.getStorageSync("openId") ? wx.getStorageSync("openId") : "",
      storedValueCardOrderId: storedValueCardOrdId
    }
    api.receiveGwjAccount(data).then(res => {
      console.log(res)
      if(res) {
        this.setData({
          show:true
        })
      }
    })
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function (options) {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {
    return {
      title: '对你的爱都在卡里，记得领啊！',
      imageUrl: 'https://img.wgmf.com/img_shopping_gold_card_share.png?imageslim',
      path: 'modules/ShoppingMoney/pages/Stored/Stored'
    }
  }
})