import { WGHTTP } from '../../../wgUtils/index'

export default {
  // getPageById: id => {
  //   return WGHTTP.post('wechat-shop-back/miniApp/getHomePageById?id=' + id)
  // },
  svipMonthPack: onlyCurMonth => {  //查询线上超级会员月度大礼包数据
    return WGHTTP.post(`app/information/querySVipMonthPackage?cusId=${wx.getStorageSync('cusId')}&onlyCurMonth=${onlyCurMonth}`)
  },
  receiveCurMonthTicket: ticketDetailId => {  //超会卡券包页面领取当月卡券的接口
    return WGHTTP.post(`app/customer/receiveCurMonthTicket?cusId=${wx.getStorageSync('cusId')}&ticketDetailId=${ticketDetailId}`)
  },
  flopLottery: (listOrder) => {  //翻牌，flopId为空返回当前翻牌游戏奖品
    return WGHTTP.post(`wechat-miniprogram-back/flop/lottery?cusId=${wx.getStorageSync('cusId')}&listOrder=${listOrder}`)
    // return WGHTTP.post(`wechat-miniprogram-back/flop/lottery?cusId=${'3960237'}&listOrder=${listOrder}`)
  },
  flopGet: () => {  //获取翻牌游戏奖品列表，flopId为空返回当前翻牌游戏奖品
    return WGHTTP.get(`wechat-miniprogram-back/flop/get?cusId=${wx.getStorageSync('cusId')}`)
  },
  flopGetCustomerPrize: () => {  //获取客户中奖奖品列表，flopId为空返回当前翻牌游戏奖品
    return WGHTTP.get(`wechat-miniprogram-back/flop/getCustomerPrize?cusId=${wx.getStorageSync('cusId')}`)
  },
  flopCheck: () => {  //获取用户累计消费金额，检查用户是否拥有抽奖机会，flopId为空返回当前翻牌游戏奖品
    return WGHTTP.get(`wechat-miniprogram-back/flop/check?cusId=${wx.getStorageSync('cusId')}`)
  },
  flopReceivePrize: (prizeId) => {  //GET 领取奖品
    return WGHTTP.post(`wechat-miniprogram-back/flop/receivePrize?cusId=${wx.getStorageSync('cusId')}&prizeId=${prizeId}`)
  },
  flopCalculateSaveFee:() => {  //GET 计算节省金额，flopId为空返回当前翻牌游戏奖品
    return WGHTTP.get(`wechat-miniprogram-back/flop/calculateSaveFee?cusId=${wx.getStorageSync('cusId')}`)
  },
  /** 初始化积分延期卡 */
  pointsDelayCard: () => {
    return WGHTTP.post(`app/customer/queryPointsDelayCard?cusId=${wx.getStorageSync('cusId')}`)
  },
  pointsList: (orderType) => {  //Post 获取积分列表
    return WGHTTP.post(`app/customer/queryPointsList?cusId=${wx.getStorageSync('cusId')}&orderType=${orderType}`)
  },
  usePointsDelayCard: (cardId,pointId) => {  //Post 使用积分延期卡
    return WGHTTP.post(`app/customer/usePointsDelayCard?cardId=${cardId}&pointId=${pointId}`)
  },

  
  // myTrial: (page) => { // 获取我的新品试用信息列表
    // return WGHTTP.get(`wechat-shop-back/trial/getTrialByCusId?customerId=${wx.getStorageSync('cusId')}&curPage=${page}&pageSize=1000`)
  // }
}