import WGAPI from '../../api/index'
import {
  Page,
  WGCOMMON,
} from '../../../../wgUtils/index'
// modules/redEnvelopes/pages/posterPage/posterPage.js
Page({

  /**
   * 页面的初始数据
   */
  data: {
    redPackageId: null,
    miniOpenId: '',
    isDraw: 0, // 2未中奖，1中奖
    url: '',
    newStatus: '', // 0老1新
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    // 没有封面id，没有openid，直接return
    if(!options.redPackageId || !options.miniOpenId){
      return
    }
    this.setData({
      redPackageId: options.redPackageId,
      miniOpenId: options.miniOpenId,
      isDraw: options.isDraw * 1, //转数字
      newStatus: options.newStatus
    })
  },
  initInfo(){
    let openId = wx.getStorageSync('openId')
    if(openId && openId == this.data.miniOpenId && this.data.isDraw == 1){
      WGAPI.receiveRedPackage({redPackageId: this.data.redPackageId, openId: openId}).then(res=>{
        this.setData({
          url: res
        })
      })
    } else {
      return
    }
  },
  // 领取
  showRedPackage(){
    if (wx.showRedPackage) {
      wx.showRedPackage({
        url: this.data.url,
        success(res){
          console.log(res)
        },
        fail(err){
          console.log(err)
        }
      }) 
    } else {
      // 如果希望用户在最新版本的客户端上体验您的小程序，可以这样子提示
      wx.showModal({
        title: '提示',
        content: '当前微信版本过低，无法使用该功能，请升级到最新微信版本后重试。'
      })
    }

  },
  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    if(!wx.getStorageSync('openId')){
      let timer = setInterval(()=>{
        if(wx.getStorageSync('openId')){
          clearTimeout(timer)
          this.initInfo()
        }
      },300)
    }else {
      this.initInfo()
    }
    
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})