import {
  Page,
} from '../../../../wgUtils/index'
Page({
  data: {
    webUrl: '',
    autoplay: true,
  },
  onHide() {},
  onLoad(option) {
    if(option.url) {
      console.log(option)
      this.setData({
        webUrl: decodeURIComponent(option.url)
      })
      if(option.title) {
        this.setData({
          title: option.title
        })
        wx.setNavigationBarTitle({
          title: option.title
        })
      } else {
        wx.setNavigationBarTitle({
          title: '五谷磨房会员商城'
        })
      }
    } else {
      wx.redirectTo({
        url: '/pages/Home/Home'
      })
    }
    if(option.autoplay){
      this.setData({
        autoplay: option.autoplay
      })
    }

    try {   
      wx.onCopyUrl(() => {
        return { query: WGFORMAT.formatQueryByOptions(option) }
      })
    } catch (error) {
      console.warn('暂不支持wx.onCopyUrl')
    }
    
  }
})