// modules/redEnvelopes/pages/winnerList/winnerList.js
import WGAPI from '../../api/index'
import {
  Page,
} from '../../../../wgUtils/index'
Page({

  /**
   * 页面的初始数据
   */
  data: {
    lotteryWinnerList: [
      // {src: 'https://thirdwx.qlogo.cn/mmopen/vi_32/DYAIOgq83erUKpiakLVxyxia7dnwcwehJkHITYcfsvAGHUoIRib33DATVEEtJibOz337KMjt6Uic6rlZsxkObnQYvgQ/132', name: '微信名'},
      // {src: 'https://thirdwx.qlogo.cn/mmopen/vi_32/DYAIOgq83erUKpiakLVxyxia7dnwcwehJkHITYcfsvAGHUoIRib33DATVEEtJibOz337KMjt6Uic6rlZsxkObnQYvgQ/132', name: '微信名长'},
      // {src: 'https://thirdwx.qlogo.cn/mmopen/vi_32/DYAIOgq83erUKpiakLVxyxia7dnwcwehJkHITYcfsvAGHUoIRib33DATVEEtJibOz337KMjt6Uic6rlZsxkObnQYvgQ/132', name: '微信名很长'},
      // {src: 'https://thirdwx.qlogo.cn/mmopen/vi_32/DYAIOgq83erUKpiakLVxyxia7dnwcwehJkHITYcfsvAGHUoIRib33DATVEEtJibOz337KMjt6Uic6rlZsxkObnQYvgQ/132', name: 'zimu'},
      // {src: 'https://thirdwx.qlogo.cn/mmopen/vi_32/DYAIOgq83erUKpiakLVxyxia7dnwcwehJkHITYcfsvAGHUoIRib33DATVEEtJibOz337KMjt6Uic6rlZsxkObnQYvgQ/132', name: 'yonghu'},
      // {src: 'https://thirdwx.qlogo.cn/mmopen/vi_32/DYAIOgq83erUKpiakLVxyxia7dnwcwehJkHITYcfsvAGHUoIRib33DATVEEtJibOz337KMjt6Uic6rlZsxkObnQYvgQ/132', name: 'yonghuming'},
      // {src: 'https://thirdwx.qlogo.cn/mmopen/vi_32/DYAIOgq83erUKpiakLVxyxia7dnwcwehJkHITYcfsvAGHUoIRib33DATVEEtJibOz337KMjt6Uic6rlZsxkObnQYvgQ/132', name: '。'},
      // {src: 'https://thirdwx.qlogo.cn/mmopen/vi_32/DYAIOgq83erUKpiakLVxyxia7dnwcwehJkHITYcfsvAGHUoIRib33DATVEEtJibOz337KMjt6Uic6rlZsxkObnQYvgQ/132', name: '   '},
      // {src: 'https://thirdwx.qlogo.cn/mmopen/vi_32/DYAIOgq83erUKpiakLVxyxia7dnwcwehJkHITYcfsvAGHUoIRib33DATVEEtJibOz337KMjt6Uic6rlZsxkObnQYvgQ/132', name: '微信名'},
      // {src: 'https://thirdwx.qlogo.cn/mmopen/vi_32/DYAIOgq83erUKpiakLVxyxia7dnwcwehJkHITYcfsvAGHUoIRib33DATVEEtJibOz337KMjt6Uic6rlZsxkObnQYvgQ/132', name: '微信名'},
      // {src: 'https://thirdwx.qlogo.cn/mmopen/vi_32/DYAIOgq83erUKpiakLVxyxia7dnwcwehJkHITYcfsvAGHUoIRib33DATVEEtJibOz337KMjt6Uic6rlZsxkObnQYvgQ/132', name: '微信名'},
      // {src: 'https://thirdwx.qlogo.cn/mmopen/vi_32/DYAIOgq83erUKpiakLVxyxia7dnwcwehJkHITYcfsvAGHUoIRib33DATVEEtJibOz337KMjt6Uic6rlZsxkObnQYvgQ/132', name: '微信名'},
    ], //中奖列表
    empty: false,
    addMore: true,
    params: {
      curPage: 1,
      pageSize: 100,
    }
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    // 直接加载，页面只有一种中奖情况
    this.initWinnerList()
  },
  // 加载更多
  refreshData(){
    this.setData({
      'params.curPage': this.data.params.curPage + 1
    })
    this.initWinnerList()
  },
  initWinnerList() {
    // 加载数据
    let data = {
      isDraw: 1,
      ...this.data.params
    }
    WGAPI.getWechatHeadImgUrl(data).then(res=>{
      // res = [{src: 'https://thirdwx.qlogo.cn/mmopen/vi_32/DYAIOgq83erUKpiakLVxyxia7dnwcwehJkHITYcfsvAGHUoIRib33DATVEEtJibOz337KMjt6Uic6rlZsxkObnQYvgQ/132', name: '微信名'}]
      let lotteryWinnerList = [...this.data.lotteryWinnerList, ...res]
      if(res.length < 100){
        this.setData({
          addMore: false
        })
      } 
      if (lotteryWinnerList.length === 0){
        // 无数据时显示
        this.setData({
          empty: true
        })
      }
      this.setData({
        lotteryWinnerList: lotteryWinnerList,
      })
    })

  },
  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },
})