import api from '../../api/index'
import {
  LOADING
} from '../../utils/index'
import {
  Page
} from '../../wgUtils/index'
const app = getApp()
Page({
  data: {
    commentModule: null
  },
  initTrialReport(orderId) {
    LOADING.show()
    api.product.productCommentByOrderId(orderId).then(res => {
      this.setData({
        commentModule: res
      })
      console.log(res)
      LOADING.hide()
    })
  },
  onLoad(option) {
    this.initTrialReport(option.id)
  }
})