import {
  Page
} from '../../wgUtils/index';
Page({
  data: {
    webUrl: ''
  },
  onHide() {},
  onLoad(option) {
    if(option.type && option.type == 1) { // 线下专柜优惠券 
      this.setData({
        title: '线下专柜优惠券',
        webUrl: `https://wx.wgmf.com/wechat-html/html/cardTicket/cardTicket.html?cusId=${wx.getStorageSync('cusId')}&campaign=miniapp&unionId=${wx.getStorageSync('unionId')}&h5openId=${wx.getStorageSync('h5openId')}&openId=${wx.getStorageSync('h5openId')}`,
      })
      wx.setNavigationBarTitle({
        title: '线下专柜优惠券',
      })
    } else if (option.type && option.type == 2) { // 线下专柜积分兑换产品
      this.setData({
        title: '线下专柜积分兑换产品',
        webUrl: `https://wx.wgmf.com/wechat-html/html/member/jflp.html?validPoint=${option.validPoint}&campaign=miniapp&cusId=${wx.getStorageSync('cusId')}`,
      })
      wx.setNavigationBarTitle({
        title: '线下专柜积分兑换产品',
      })
    } else if(option.type && option.type == 3) { // 展示通用图片页面
      console.log(option)
      this.setData({
        title: '五谷磨房会员商城',
        webUrl: `https://wx.wgmf.com/wechat-html/html/qrcode.html?code=${option.imgName}&imgType=${option.imgType}`, // 五谷磨房
      })
      wx.setNavigationBarTitle({
        title: '五谷磨房会员商城',
      })
    } else if(option.type && option.type == 4) { // 添加资深营养师白博士
      console.log(4)
      this.setData({
        title: '添加资深营养师白博士',
        webUrl: 'https://wx.wgmf.com/wechat-html/html/authorize/authorize.html?stateType=wx_26', // 添加资深营养师白博士
      })
      wx.setNavigationBarTitle({
        title: '添加资深营养师白博士',
      })
    } else if(option.type && option.type == 5) { // 添加资深营养师谷莉
      console.log(5)
      this.setData({
        title: '添加资深营养师谷莉',
        webUrl: `https://wx.wgmf.com/wechat-html/html/authorize/authorize.html?stateType=wx_32&openId=${wx.getStorageSync('h5openId')}`, // 区分公众号推文渠道
      })
      wx.setNavigationBarTitle({
        title: '添加资深营养师谷莉',
      })
    } else if(option.type && option.type == 6){//跳转到抽奖H5
      this.setData({
        title: '幸运大抽奖',
        webUrl: `https://wx.wgmf.com/wechat-html/html/act-front/act-front.html?gameId=211&isMini=true&phone=${wx.getStorageSync('phone')}#wechat_redirect`, // 跳转到抽奖H5
      })
      wx.setNavigationBarTitle({
        title: '幸运大抽奖',
      })

    }else { // 如何成为金谷
      this.setData({
        title: '如何成为金谷',
        webUrl: `https://wx.wgmf.com/wechat-html/html/shopMember/myGrade.html?cusId=${wx.getStorageSync('cusId')}&campaign=miniapp`, // 如何成为金谷
      })
      wx.setNavigationBarTitle({
        title: '如何成为金谷',
      })
    }

    try {   
      wx.onCopyUrl(() => {
        return { query: WGFORMAT.formatQueryByOptions(option) }
      })
    } catch (error) {
      console.warn('暂不支持wx.onCopyUrl')
    }
    
  }
})