function isPhoneNumber(str) { // 手机号校验
  /** 中国大陆手机号 [0086]11位 */
  let reg = /^((\+|00)86)?1((3[\d])|(4[5,6,7,9])|(5[0-3,5-9])|(6[5-7])|(7[0-8])|(8[\d])|(9[1,8,9]))\d{8}$/
  /** 中国香港手机号 [00852]8位 （8位开头5/6/9手机号，2/3座机号）*/
  let reg1 = /^(00852)?(5|6|9)\d{7}$/
  return reg.test(str) || reg1.test(str)
}


export default {
  isPhoneNumber
}