/**
 * 页面跳转
 */
export default {
  /**
   * @pageName 
   */
  linkToPage: (pageName, query) => {
    console.log(pageName)
    let tabBarPages = ['Home', 'ProductIndex', 'FanCommunity', 'PersonalCenter', 'MyCart']
    if (tabBarPages.indexOf(pageName) != -1) {
      if (tabBarPages.indexOf(pageName) == 2) {
        wx.switchTab({
          url: 'modules/FanCommunity/pages/Index/Index'
        })
      }
      console.log('indexOf')
      wx.switchTab({
        url: `/pages/${pageName}/${pageName}${query}`
      })
    } else {
      wx.navigateTo({
        url: `/pages/${pageName}/${pageName}${query}`
      })
    }
  },
  /**
   * @miniappName
   */
  openOtherMiniapp: miniappName => {
    const miniapps = {
      lottery: {
        appId: 'wx7aeaa095f033dca0',
        path: 'pages/LotteryList/LotteryList'
      },
      giftCard: {
        appId: 'wxe2ddeea548db696c',
        path: 'pages/Home/Home'
      }
    }
    wx.navigateToMiniProgram({
      appId: miniapps[miniappName].appId,
      path: miniapps[miniappName].path,
      extraData: {
        foo: 'bar'
      },
      envVersion: 'release',
      success(res) {
        // 打开成功
      }
    })
  },
  /**
   * @delta 页面后退
   */
  navigateBack: delta => {
    if (typeof delta == 'undefined') delta = 1
    wx.navigateBack({
      delta: delta
    })
  },
  navigateTo(url) { // 页面跳转
    wx.navigateTo({
      url: url
    })
  },
}